<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name =
 *
 *  Function:
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                            S&D Code
 *  01/11/06 Initial Version                                        @
 *  02/Feb/20 Propagate generic link event for VIA requests         @d213560alp
 *  02/Jun/02 Handle expired session and related (@237385)          @d236521hab
 *  02/Nov/04 Add signoff link                                      @d255462hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<outout:output method="xml" omit-xml-declaration="yes" />

	<!-- PARAM DECLARATION AREA -->
	<outout:param name="fw_pda_choose_application_prompt" />
	<outout:param name="fw_pda_choose_application_note" />
	<outout:param name="fw_prodinfo_copyright" />
  <outout:param name="req_uri_param" />
  <outout:param name="cs_param"  />
  <outout:param name="cs_value" />
  <outout:param name="via_param" />
  <outout:param name="event_param" />
  <outout:param name="gen_link_event_value" />                       <!-- @d213560alp -->
  <outout:param name="sid_param" />
  <outout:param name="sid_value" />
  <outout:param name="expired_session_msg" />
  <outout:param name="fw_statusbar_signoff" />

  <outout:param name="show_signoff_link" /> <!-- can be 'yes' or 'no' -->

  <!-- EVENTS -->
  <!-- "signoff" -->

  <!-- start of rule to match root -->
  <outout:template match="/">

    <body>
      <outout:if test="not($expired_session_msg = '')">
  			<b>
  		    <outout:value-of select="$expired_session_msg" />
  		  </b><br /><br />
  		</outout:if>
      <b>
        <outout:value-of select="$fw_pda_choose_application_prompt" />
      </b>
      <outout:apply-templates select="root" />
      <outout:if test="$show_signoff_link = 'yes'">
        <hr />
        <a>
    			<outout:call-template name="linkString">
    				<outout:with-param name="event">
              <outout:value-of select="'signoff'" />
          	</outout:with-param>
    			</outout:call-template>
          <outout:value-of select="$fw_statusbar_signoff" />
        </a>
      </outout:if>
      <br /><br />
      <b>
        <outout:value-of select="$fw_pda_choose_application_note" />
      </b>
      <br /><br />
      <outout:value-of select="$fw_prodinfo_copyright" />
    </body>

  </outout:template>

<!-- rule to match the toolkit names and toolkit prefix -->
  <outout:template match="root/tr">
    <!-- LOCAL VARIABLES -->
    <outout:variable name='toolname' select="@name" />
    <outout:variable name='prefix' select="@value" />

    <br /><br />
    <a>
			<outout:call-template name='queryString'>
				<outout:with-param name='tk_prefix'>
      	  <outout:value-of select="$prefix" />
      	</outout:with-param>
			</outout:call-template>
   	  <outout:value-of select="$toolname" />
    </a>
  </outout:template>

	<outout:template name='queryString'>
	  <outout:param name='tk_prefix'/>

	  <outout:attribute name='href'>
	  <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $via_param, '=', $tk_prefix, '&amp;', $event_param, '=', $gen_link_event_value, '&amp;', $sid_param, '=', $sid_value)"/> <!-- @d213560alp -->
	  </outout:attribute>
	</outout:template>

	<outout:template name='linkString'>
	  <outout:param name='event' />

	  <outout:attribute name='href'>
	  <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>



