<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = Detail stylesheet
 *
 *  Function: displays a screen that shows the detail of of a remote instance.
 *            Data include: Node name, remote instance name and protocol
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE      DESCRIPTION                                           S&D Code
 *  02/Feb/24   Initial Version                                      @f214306cmw
 *  02/Mar/07   Fix ok button name to be "okBtn"                     @d218204hab
 *  02/May/10   Fix the OK button action                             @d232504cmw
 *  02/Aug/01   Add a dash between name and "Details"(in d247646)    @d248306cmw
 *  02/Aug/23  Remove extra column next to field name               @d252352hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes"/>

  <!-- PARAMETER DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_pda_details_operation" />
  <outout:param name="ccwa_pda_details_ok" />

  <outout:param name="object_name" />

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <!-- Start of rule to match on root -->
  <outout:template match="/">

    <body>
      <b>
        <outout:value-of select="$breadcrumbs" />
      </b>
      <hr/>
      <table>
		    <tr bgcolor="#000066">
			    <td align="center">
			      <font size="2" color="#FFFFFF"><b>
              <outout:value-of select="$object_name" />&#160;-&#160;
              <outout:value-of select="$ccwa_pda_details_operation" />
            </b></font>
          </td>
		    </tr>
        <outout:apply-templates select="root/dresult" />
      </table>
      <form action="{$req_uri_param}">    <!-- ? -->
        <input type="submit" name="okBtn">
          <outout:attribute name="value">
            <outout:value-of select="$ccwa_pda_details_ok"/>
          </outout:attribute>
        </input>

        <outout:call-template name='makeStandardHiddenFields'>
          <outout:with-param name='event' select="'ok'" />
        </outout:call-template>
        <outout:call-template name='makeHiddenFields' />

      </form>
    </body>
  </outout:template>

  <outout:template match="root/derror">
    <outout:copy-of select="text()"/>
  </outout:template>

  <outout:template match="root/dresult">

    <outout:for-each select="tr">
      <tr>
      <td>
        <font size="2"><b>
        <outout:value-of select="@name" />
        </b></font>
      </td>
      <td>
        <font size="2">
        <outout:value-of select="@value" />
        </font><br />
      </td>
      </tr>
    </outout:for-each>
  </outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
	</outout:template>

</outout:stylesheet>


