<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =  (%W%)
 *
 *  Descriptive Name = System Details View
 *
 *  Function: displays the system details view
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                              S&D Code
 *  02/Feb/25 Initial Version                                       @d214803
 *  02/Mar/07 Add persistant function data                          @d218204hab
 *  02/Aug/01 Add a dash between the name the "detail" (in d247646)    @d248306cmw
 *  02/Oct/28 Meet accessibility requirements                       @d221810hab
 *  02/Nov/25 Change color of links to be black                     @d261057hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes"/>

  <!-- PARAMETER DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_details_operation" />
  <outout:param name="ccwa_details_ok" />

  <outout:param name="object_name" />

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <!-- Start of rule to match on root -->
  <outout:template match="/">

  <body link="#000000" alink="#000000" vlink="#000000" bgcolor="#FFFFFF" text="#000000" leftmargin="0" rightmargin="0" topmargin="0" marginwidth="0" marginheight="0">
    <table width="100%" border="0" cellspacing="3" cellpadding="0">
      <tr valign="top">
        <td width="5" height="20">
          <img src="../imgs/transDot.gif" alt="" width="20" height="40"/>
        </td>
        <td width="100%">
          <b><font size="2" color="#000000">
            <outout:value-of select="$breadcrumbs" />
          </font></b><br/>
  	      <img src="../imgs/transDot.gif" alt="" height="1" width="763"/>
  	    </td>
        <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="5" height="20"/></td>
      </tr>
    </table>
    <br/>
    <table border="1" cellpadding="4" cellspacing="0" align="center">
      <tr>
      	<td>
  	    	<table width="400" align="center" border="0" cellpadding="1" cellspacing="1">
      		<tr>
  	    		<td><img src="../imgs/transDot.gif" width="200" height="1" alt="" border="0"/></td>
  		    </tr>
  		    <tr bgcolor="#000066">
  			    <td align="center">
  			      <font size="2" color="#FFFFFF"><b>
                <outout:value-of select="$object_name" />&#160;-&#160;
                <outout:value-of select="$ccwa_details_operation" />
              </b></font>
            </td>
  		    </tr>
  		    <tr>
  			    <td><img src="../imgs/transDot.gif" width="200" height="10" alt="" border="0"/></td>
  		    </tr>
  		    <tr>
            <td>
              <table border="0" cellpadding="0" cellspacing="0" align="left">
                <tr>
                  <td><img src="../imgs/transDot.gif" width="5" height="1" alt="" border="0"/></td>
                  <td nowrap="true">
                    <img src="../imgs/transDot.gif" width="10" height="1" alt="" border="0"/>
                    <table border="0" cellpadding="1" cellspacing="1" align="left">
                      <outout:apply-templates select="root/dresult" />
                    </table>
                      <img src="../imgs/transDot.gif" width="10" height="1" alt="" border="0"/>
                    </td>
                  </tr>
                </table>
              </td>
      		  </tr>
  	    	  <tr>
  			      <td><img src="../imgs/transDot.gif" width="200" height="70" alt="" border="0"/></td>
      		  </tr>
    		  </table>
    	  </td>
      </tr>
      <tr>
      	<td>
          <form action="{$req_uri_param}">
            <table border="0" cellpadding="0" cellspacing="3" align="left">
             <tr>
            		<td>
                  <input type="submit" name="okBtn">
                    <outout:attribute name="value">
                      <outout:value-of select="$ccwa_details_ok"/>
                    </outout:attribute>
                  </input>
                </td>
              </tr>
            </table>
            <outout:call-template name='makeStandardHiddenFields'>
              <outout:with-param name='event' select="'ok'" />
            </outout:call-template>
            <outout:call-template name='makeHiddenFields' />
          </form>
        </td>
      </tr>
    </table>
  </body>

  </outout:template>

  <outout:template match="root/derror">
  <outout:copy-of select="text()"/>
  </outout:template>

  <outout:template match="root/dresult">
    <outout:for-each select="tr">
      <tr>
        <td>
          <font size="2"><b>
            <outout:value-of select="@name" />
            </b>
          </font>
        </td>
        <td>
          <font size="2">
            <outout:value-of select="@value" />
          </font>
        </td>
      </tr>
    </outout:for-each>
  </outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
	</outout:template>

</outout:stylesheet>


