<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = HELP stylesheet
 *
 *  Function: adds bct and event values to the links
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                              S&D Code
 *  02/Mar/27 Initial Version                                        @d221380hab
 *  02/Apr/09 Add help_file_param for the help links                 @d226221alp
 *  02/May/15 Add left hand side margin                              @d231536hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
 <outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAMETER DECLARATION AREA -->
  <outout:param name="breadcrumbs" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="via_param" />

  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name="help_file_param" />

  <!-- Start of rule to match on root -->
  <outout:template match="/*/*">
    <outout:if test="name()='body'">
      <body bgcolor="#FFFFFF" text="#000000" leftmargin="0" rightmargin="0" topmargin="0" marginwidth="0" marginheight="0">
        <table width="100%" border="0" cellspacing="3" cellpadding="0">
          <tr valign="top">
            <td>&#160;</td>
            <td width="99%">
              <outout:call-template name="form_bctrail" >
                <outout:with-param name="string">
                  <outout:value-of select="$breadcrumbs" />
                </outout:with-param>
              </outout:call-template>
              <br /><br />
              <outout:for-each select="child::node()">
                <outout:call-template name="traverse">
                  <outout:with-param name="tree">
                    <outout:value-of select="current()" />
                  </outout:with-param>
                </outout:call-template>
              </outout:for-each>
            </td>
          </tr>
        </table>
      </body>
    </outout:if>
  </outout:template>

  <!-- recursive method to find all hrefs -->
  <outout:template name="traverse">
    <outout:param name="tree" />
    <outout:choose>
      <outout:when test="name()='a' and string-length(@href)&gt;0" >
        <outout:copy>
          <outout:call-template name="queryString">
            <outout:with-param name="event">
             <outout:value-of select="'help'" />
            </outout:with-param>
            <outout:with-param name="linkString">
            <outout:value-of select="@href" />
            </outout:with-param>
          </outout:call-template>
          <outout:for-each select="child::node()">
            <outout:call-template name="traverse">
              <outout:with-param name="tree">
                <outout:value-of select="current()" />
              </outout:with-param>
            </outout:call-template>
          </outout:for-each>
        </outout:copy>
      </outout:when>
      <outout:otherwise>
        <outout:copy>
          <outout:for-each select="child::node()">
            <outout:call-template name="traverse">
              <outout:with-param name="tree">
                <outout:value-of select="current()" />
              </outout:with-param>
            </outout:call-template>
          </outout:for-each>
        </outout:copy>
      </outout:otherwise>
    </outout:choose>
  </outout:template>

  <!-- rule to form the breadcrumb trail -->
  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>

	  <outout:attribute name='href'>
  	  <!-- outout:value-of select="translate( $standard_params, ' ', '+' )"/ -->
  	  <outout:value-of select="$standard_params"/>
	  </outout:attribute>
	</outout:template>

  <!-- rule to add the link string within the help file -->
	<outout:template name='queryString'>
	  <outout:param name='event'/>
	  <outout:param name='linkString' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='file_pair'>
      <outout:value-of select="concat( '&amp;', $help_file_param, '=', $linkString )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $file_pair )"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>

