<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = wait page stylesheet
 *
 *  Function: renders the body of the laptop wait page
 *            
 *
 *  Dependencies: See import/include statements.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*  
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes"/>
  
  <!-- PARAMETER DECLARATION AREA -->
  <outout:param name="fw_expired_link" />
  <outout:param name="return_link" />
  
  <outout:param name="tk_prefix" />
  
  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />
  <outout:param name="via_param" />
  <outout:param name="gen_link_event_value" />
  
<!-- Start of rule to match on root -->
  <outout:template match="/">
  <html>
    <body>
      <br/>
      <font size="2"><b>
        <outout:value-of select="$fw_expired_link" />
        </b> &#160; 
        <a>
          <outout:call-template name="queryString" >
            <outout:with-param name="tk_prefix">
              <outout:value-of select="$tk_prefix" />
            </outout:with-param>
          </outout:call-template>
          <outout:value-of select="$return_link" />
        </a>
      </font>
    </body>
  </html>
  </outout:template>
  

  <outout:template match="ibm/docs">
  
    <comment class="stylesheet">
  
      <name>wait</name>
      <desc>Displays the wait page</desc>
  
      <param> 
        <name>breadcrumbs</name>
        <desc></desc> 
      </param>
      <param> 
        <name>fw_expired_link</name>
        <desc>mri string</desc>
      </param>
      <param> 
        <name>ccwa_wait_cancel</name>
        <desc>mri string</desc>
      </param>      
      <param> 
        <name>req_uri_param</name>
        <desc>request uri param name</desc> 
      </param>
      <param> 
        <name>sid_param</name>
        <desc>session id param name</desc>
      </param>
      <param> 
        <name>cs_param</name>
        <desc>current state param name</desc>  
      </param>
      <param> 
        <name>event_param</name>
        <desc>event param name</desc> 
      </param>
      <param> 
        <name>cs_value</name>
        <desc>current state value</desc> 
      </param>
      <param> 
        <name>sid_value</name>
        <desc>session id value</desc> 
      </param>

    </comment>
  </outout:template>

	<outout:template name='queryString'>
	  <outout:param name='tk_prefix'/>
	
	  <outout:attribute name='href'>
	  <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $via_param, '=', $tk_prefix, '&amp;', $event_param, '=', $gen_link_event_value, '&amp;', $sid_param, '=', $sid_value)"/> 
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>
