<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name =
 *
 *  Function:
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  01/11/06 Initial Version                                          @
 *  02/Feb/20 Propagate generic link event for VIA requests           @d213560alp
 *  02/Oct/28 Meet accessibility requirements                       @d221810hab
 *  02/Nov/13 Add skip link to improve accessibility                @d259656hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<outout:output method="xml" omit-xml-declaration="yes" />

	<!-- PARAM DECLARATION AREA -->
	<outout:param select="_" name="active_tab" />
	<!-- CONTROLS WHETHER THE TABS ARE DISPLAYED OR NOT -->
	<outout:param select="true" name="switch" />
	<!-- WAIT_FLAG IS TRUE WHEN THE WAIT PAGE IS DISPLAYED. ALL LINKS ARE REMOVED -->
	<outout:param name="wait_flag" />
  <outout:param name="req_uri_param" />
  <outout:param name="cs_param"  />
  <outout:param name="cs_value" />
  <outout:param name="via_param" />
  <outout:param name="event_param" />
  <outout:param name="gen_link_event_value" />                       <!-- @d213560alp -->

  <outout:param name="fw_skip_to_main_content" />

  <!-- SESSION ID -->
	<outout:param name="sid_value" />
  <outout:param name="sid_param" />

<!-- START OF RULE to match root -->
  <outout:template match="/">
    <masthead>
      <table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#336699" height="35" background="../imgs/mastBG2.gif">
        <tr>
          <td>
            <img src="../imgs/transDot.gif" alt="" width="20" height="35"/>
            <a href="#navskip" link="#000000" alink="#000000" vlink="#000000">
              <img src="../imgs/transDot.gif" alt="{$fw_skip_to_main_content}" width="0" height="0"/>
            </a>
          </td>
          <td valign="bottom" height="35">
            <table  border="0" cellspacing="0" cellpadding="0" width="100%">
              <outout:choose>
                <outout:when test="$switch = 'false'">
                <!-- table for tabs -->
                  <tr>
                    <td></td>
                    <td width="10"><img src="../imgs/transDot.gif" alt="" width="10" height="8"/></td>
                  </tr>
                </outout:when>
                <outout:otherwise>
                  <tr>
                    <outout:apply-templates select="root" />
                  </tr>
                </outout:otherwise>
              </outout:choose>
            </table>
          </td><!-- changed width to 302 -->
          <td nowrap="true" valign="bottom" align="right" width="100%"><img src="../imgs/transDot.gif" alt="" width="302" height="8"/>
            <img src="../imgs/IBMlogo2.gif" width="208" height="35" border="0" alt="IBM"/>
          </td>
        </tr>
      </table>
    </masthead>
  </outout:template><!-- end of rule to match root -->


<!-- ******************************************************************* -->


<!-- rule to match the tabnames and toolkit prefix -->
  <outout:template match="root/tr">
    <!-- LOCAL VARIABLES -->
    <outout:variable name='toolname' select="@name" />
    <outout:variable name='prefix' select="@value" />

    <!-- if this tab is supposed to be on, then turn it on -->
    <outout:choose>
      <outout:when test="$active_tab = $toolname">

        <!-- start of activated tab -->
          <td valign="bottom" align="right" width="15"><img src="../imgs/Tab_CCleft2.gif" alt="" width="15" height="20"/></td>
          <td valign="bottom" align="left">
            <table width="100%" border="0" cellspacing="0" cellpadding="0" height="35" align="center">
              <tr>
              <td height="15" align="center"><img src="../imgs/transDot.gif" alt="" width="110" height="8"/></td>
              </tr>
              <tr>
                <td align="center" bgcolor="#6699CC" height="20" background="../imgs/CCBkgrd.gif" nowrap="true"><font color="#FFFFFF" size="2" face="Arial, Helvetica, sans-serif">
                <!-- copy the name of the tab -->
                  <outout:value-of select="$toolname" />
                </font>
                </td>
              </tr>
            </table>
          </td>
          <td valign="bottom" align="left" width="15"><img src="../imgs/Tab_CCright2.gif" alt="" width="15" height="20"/></td>
        <!-- end of activated tab -->
      </outout:when>

      <outout:otherwise>
        <!-- otherwise turn it off -->
        <!-- start of deactivate tab -->
        <td valign="bottom" width="15" align="right"><img src="../imgs/Tab_HCleft2.gif" alt="" width="15" height="20"/></td>
        <td>
        <table width="100%" border="0" cellspacing="0" cellpadding="0" height="35">
          <tr>
          <td height="15" align="center"><img src="../imgs/transDot.gif" alt="" width="90" height="8"/></td>
          </tr>
          <tr>
          <td height="20" background="../imgs/HCBkgrd.gif" nowrap="true" align="center"><font face="Arial, Helvetica, sans-serif" size="2">
          <outout:choose>
            <outout:when test="$wait_flag = 'false'">
              <a>
								<outout:call-template name='queryString'>
									<outout:with-param name='tk_prefix'>
					      	  <outout:value-of select="$prefix" />
					      	</outout:with-param>
								</outout:call-template>
                <font color="#000066">
                  <!-- copy the name of the tab -->
                  <outout:value-of select="$toolname" />
                </font>
              </a>
            </outout:when>
            <outout:otherwise>
              <font color="#000066">
                <!-- copy the name of the tab -->
                  <outout:value-of select="$toolname" />

              </font>
            </outout:otherwise>
          </outout:choose>
          </font>
          </td>
          </tr>
        </table>
        </td>
        <td width="15" valign="bottom"><img src="../imgs/Tab_HCright2.gif" alt="" width="15" height="20"/></td>
        <!-- end of deactivate tab -->
      </outout:otherwise>
    </outout:choose>

    <!-- write out a spacer in case there is more than one tab -->

    <!-- this line keeps spacing between tabs -->
    <td width="10"><img src="../imgs/transDot.gif" alt="" width="10" height="8"/></td>

  </outout:template>

	<outout:template name='queryString'>
	  <outout:param name='tk_prefix'/>

	  <outout:attribute name='href'>
	  <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $via_param, '=', $tk_prefix, '&amp;', $event_param, '=', $gen_link_event_value, '&amp;', $sid_param, '=', $sid_value)"/> <!-- @d213560alp -->
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>

