<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =  (%W%)
 *
 *  Descriptive Name = Status Bar xslt
 *
 *  Function: stylesheet to display the status bar (which displays the current
 *            connection)
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                              S&D Code
 *  01/11/06  Initial Version                                       @
 *  02/Jan/25 Add required header template to stylesheet            @d207273hab
 *  02/Feb/25 Add proper handling for details screen                @d214803hab
 *  02/Mar/09 Add switches to turn off details                      @d218204hab
 *  02/Mar/20 Remove link from the VIEW text                        @d221958hab
 *  02/Mar/21 Add default values to switch params                   @d222060hab
 *  02/Mar/28 Add suport for Help links (help_event_value)          @d221380hab
 *  02/May/14 Add support for the generic additional help window    @d231536alp
 *  02/May/15 Fix details link display logic                        @d231536hab
 *  02/Jun/04 Remove obsolete link switch                           @d236298hab
 *  02/Jul/26 Add subsystem_details event                           @d243973alp
 *  02/Oct/28 Meet accessibility requirements                       @d221810hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
 <outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<outout:output method="xml" omit-xml-declaration="yes" indent='no'/>

<!-- PARAM DECLARATION AREA -->

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />
  <outout:param name="via_param" />
  <outout:param name="signoff" />            <!-- refers to the signoff event -->
  <outout:param name="help_target_window" /> <!-- target window attribute on the help link -->
  <outout:param name="help_file_URI" />      <!-- Eclipse file URI for the desktop version -->

	<outout:param name="fw_statusbar_userid" />
	<outout:param name="user_id_value" />
	<outout:param name="fw_statusbar_instance" />
	<outout:param name="fw_statusbar_subsystem" />
	<outout:param name="instance_value" />
	<outout:param name="subsystem_value" />
	<outout:param name="fw_statusbar_system" />
	<outout:param name="system_value" />
	<outout:param name="fw_statusbar_database" />
	<outout:param name="database_value" />
	<outout:param name="view" />
	<outout:param name="fw_statusbar_details" />
	<outout:param name="fw_statusbar_change_connection" />
	<outout:param name="fw_statusbar_signoff" />
	<outout:param name="fw_statusbar_help" />

	<outout:param name="help_switch" select="'on'" />     <!-- if help_switch is on, help string & link will display -->
	<outout:param name="switch" select="'true'"/>         <!-- if switch is false, bar is displayed without contents -->
	<outout:param name="cclink" select="'_'"/>            <!-- defines link on Change Connection, if '_' then it is not displayed at all-->
	<outout:param name="help_event_value" />              <!-- defines event for Help -->
	<outout:param name="view_system" select="'true'"/>    <!-- if view_system is true, the System info will be displayed -->
	<outout:param name="view_instance" select="'true'" /> <!-- if view_instance is true, the Instance info will be displayed -->
	<outout:param name="view_database" select="'true'"/>  <!-- if view_database is true, the Database info will be displayed -->
	<outout:param name="os_390" select="'false'" />       <!-- if os_390 is true, the Sub-System info will replace the Instance -->
	<outout:param name="view_links" select="true" />      <!-- if view_links is false, all linked fields are not displayed -->

  <!-- the next three params are default to true if the corresponsding value switch is on, otherwise, the user
       may choose not to allow the details link next to the value link. If the value link is off, the details is also
       off. Example: if view_system=false, then view_system_details can never be true, it has to be false.
       If view_system=true, the value of the system will appear, but if view_system_details=false, the details link
       will not be placed next to the system value -->
  <outout:param name="view_system_details" select="'true'" />
  <outout:param name="view_instance_details" select="'true'" />
  <outout:param name="view_db_details" select="'true'" />

<!-- rule to match on root -->
	<outout:template match="/">
		<statusbar>
			<outout:choose>
				<outout:when test="$switch = 'false'">
					<!--System Information -->
					<table width="100%" border="0" cellspacing="0" cellpadding="1" bgcolor="#6699CC">
					  <tr>
					    <td width="10"><img src="../imgs/transDot.gif" height="35" width="10" alt="" /></td>
					    <td bgcolor="#6699CC" width="80%" height="35">
					      <table width="100%" border="0" cellspacing="4" cellpadding="0" height="35">
					        <tr>
					          <td bgcolor="#6699CC" width="100%">
					          	<img src="../imgs/transDot.gif" width="1" height="33" alt="" border="0"/>
					          </td>
					        </tr>
					      </table>
					    </td>
					  </tr>
					</table>

					<table width="100%" height="1" cellpadding="0" cellspacing="0" border="0">
					  <tr>
					    <td height="1" bgcolor="#000000">
					    	<img src="../imgs/blackDot.gif" alt="" width="800" height="1"/>
					    </td>
					  </tr>
					</table>
				  <!--End System Information -->
				</outout:when>
				<outout:otherwise>
					<table width="100%" border="0" cellspacing="0" cellpadding="1" bgcolor="#6699CC">
					  <tr>
					    <td width="10"><img src="../imgs/transDot.gif" alt="" height="35" width="10"/></td>
					    <td bgcolor="#6699CC" width="80%" height="35">
					      <table width="100%" border="0" cellspacing="4" cellpadding="0" height="35">
					        <tr>
					          <td bgcolor="#FFFFFF" width="100%">
					            <table width="100%" border="0" cellspacing="1" cellpadding="0">
					              <tr>
					                <td bgcolor="#6699CC" width="80%">
					                  <table width="100%" cellspacing="2" cellpadding="0" border="0">
					                    <tr>
					                      <td nowrap="true">
					                        <font face="Arial, Helvetica, sans-serif" size="2" color="#FFFFFF">
					                          <b><outout:value-of select='$fw_statusbar_userid' /></b>
						                      </font>
						                    </td>
					                      <td nowrap="true">
					                        <font size="2" color="#FFFFFF">
					                        </font>
					                      </td>
					                      <td nowrap="true">
					                        <font size="2" color="#FFFFFF">
																		<outout:value-of select="$user_id_value" />
		                        			</font>
		                      			</td>
						                    <td nowrap="true" />
					                      <td nowrap="true">
					                        <img src="../imgs/transDot.gif" alt="" width="50" height="1" />
					                      </td>
																<outout:choose>
																	<outout:when test="$view_instance = 'true'">
																		<td nowrap="true">
																	    <font face="Arial, Helvetica, sans-serif" size="2" color="#FFFFFF"><b>
																		    <outout:choose>
																		    	<outout:when test="$os_390 = 'false'">
																						<outout:value-of select="$fw_statusbar_instance" />
																					</outout:when>
																					<outout:otherwise>
																						<outout:value-of select="$fw_statusbar_subsystem" />
																					</outout:otherwise>
																				</outout:choose>
																			</b></font>
		                      					</td>
		                      					<td nowrap="true">
																			<font size="2" color="#FFFFFF"></font>
																		</td>
																		<td nowrap="true">
																			<font size="2" color="#FFFFFF">
																				<outout:choose>
																					<outout:when test="$os_390 = 'false'">
																						<outout:value-of select="$instance_value" />
																					</outout:when>
																					<outout:otherwise>
																						<outout:value-of select="$subsystem_value" />
																					</outout:otherwise>
																				</outout:choose>
																			</font>
																		</td>
																		<td nowrap="true">
																			<outout:if test="$view_instance_details = 'true' and $view_links = 'true'" >
																				<a>
                    											<outout:call-template name='linkString'>
                    											  <outout:with-param name='event'>
      																				<outout:choose>
      																					<outout:when test="$os_390 = 'false'">
                        													<outout:value-of select="'instance_details'" />
      																					</outout:when>
      																					<outout:otherwise>
                        													<outout:value-of select="'subsystem_details'" />
      																					</outout:otherwise>
      																				</outout:choose>
                    											  </outout:with-param>
                    											</outout:call-template>
																					<font size="2" color="#FFFFFF">
																						<outout:value-of select="$fw_statusbar_details" />
																					</font>
																				</a>
																			</outout:if>
																		</td>
																	</outout:when>
																	<outout:otherwise>
																		<td><font size="2" color="#6699CC">_</font></td>
																		<td></td>
																		<td></td>
																		<td></td>
																		<td></td>
																	</outout:otherwise>
																</outout:choose>
																<td nowrap="true" width="99%" />
															</tr>
					                    <tr>
																<outout:choose>
																	<outout:when test="$view_system = 'true'">
							                      <td nowrap="true">
							                        <font face="Arial, Helvetica, sans-serif" size="2" color="#FFFFFF">
							                          <b><outout:value-of select="$fw_statusbar_system" /></b>
							                        </font>
							                      </td>
							                      <td nowrap="true">
							                        <font size="2" color="#FFFFFF">
							                        </font>
								                    </td>
							                      <td nowrap="true">
							                        <font size="2" color="#FFFFFF">
							                          <outout:value-of select="$system_value" />
							                        </font>
							                      </td>
							                      <td nowrap="true">
																			<outout:if test="$view_system_details = 'true' and  $view_links = 'true'">
								                        <a>
                    											<outout:call-template name='linkString'>
                    											  <outout:with-param name='event'>
                    													<outout:value-of select="'system_details'" />
                    											  </outout:with-param>
                    											</outout:call-template>
								                          <font size="2" color="#FFFFFF">
								                            <outout:value-of select="$fw_statusbar_details" />
								                          </font>
								                        </a>
																			</outout:if>
		                      					</td>
																	</outout:when>
																	<outout:otherwise>
																		<td><font size="2" color="#6699CC">_</font></td>
																		<td></td>
																		<td></td>
																		<td></td>
																		<td></td>
																	</outout:otherwise>
																</outout:choose>
		                      			<td nowrap="true"><img src="../imgs/transDot.gif" alt="" width="50" height="1"/></td>
																<outout:choose>
																	<outout:when test="$view_database = 'true'">
							                      <td nowrap="true">
							                        <font face="Arial, Helvetica, sans-serif" size="2" color="#FFFFFF">
							                          <b><outout:value-of select="$fw_statusbar_database" /></b>
							                        </font>
							                      </td>
							                      <td nowrap="true">
							                        <font size="2" color="#FFFFFF">
							                        </font>
							                      </td>
							                      <td nowrap="true">
							                        <font size="2" color="#FFFFFF">
							                          <outout:value-of select="$database_value" />
							                        </font>
							                      </td>
							                      <td nowrap="true">
																			<outout:if test="$view_db_details = 'true' and  $view_links = 'true'">
								                        <a>
                    											<outout:call-template name='linkString'>
                    											  <outout:with-param name='event'>
                    													<outout:value-of select="'database_details'" />
                    											  </outout:with-param>
                    											</outout:call-template>
								                          <font size="2" color="#FFFFFF">
								                            <outout:value-of select="$fw_statusbar_details" />
								                          </font>
								                        </a>
																			</outout:if>
		                      					</td>
																	</outout:when>
																	<outout:otherwise>
																	<td></td>
																	<td></td>
																	<td></td>
																	<td></td>
																	<td></td>
																	</outout:otherwise>
																</outout:choose>
					                      <td nowrap="true" width="99%" />
		      				            </tr>
		                  			</table>
					                </td>
					                <td bgcolor="#6699CC" valign="middle" align="center" width="20%">
					                  <table width="100%" border="0" cellspacing="0" cellpadding="0">
					                    <tr>
					                      <td><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
					                    </tr>
					                    <tr>
						                    <td align="center" valign="middle">
					                        <font size="2" color="#FFFFFF" face="Arial, Helvetica, sans-serif">
  																	<outout:value-of select="$view" />
					                        </font>
					                      </td>
					                    </tr>
					                  </table>
					                </td>
					              </tr>
					            </table>
					          </td>
					        </tr>
					      </table>
					    </td>
					    <td width="10%" valign="bottom" align="right"><img src="../imgs/transDot.gif" alt="" width="191" height="1"/></td>
					    <td width="10%" valign="bottom" align="right" nowrap="true">
								<outout:choose>
									<outout:when test="$view_links = 'true'">
									  <outout:choose>
									    <outout:when test="$cclink = '_'">
									      <br />
									    </outout:when>
									    <outout:otherwise>
    							      <a>
    											<outout:call-template name='queryString'>
    												<outout:with-param name="linkStr">
    													<outout:value-of select="$cclink" />
    												</outout:with-param>
    											</outout:call-template>
    						      	  <font size="2" color="#FFFFFF" face="Arial, Helvetica, sans-serif">
    							          <outout:value-of select="$fw_statusbar_change_connection" />
    							        </font>
    							      </a><br />
							        </outout:otherwise>
							      </outout:choose>
						      	<a>
											<outout:call-template name='linkString'>
											  <outout:with-param name='event'>
													<outout:value-of select="$signoff" />
											  </outout:with-param>
											</outout:call-template>
						        	<font size="2" color="#FFFFFF" face="Arial, Helvetica, sans-serif">
						          	<outout:value-of select="$fw_statusbar_signoff" />
						        	</font>
						      	</a>
						      	<br />
									</outout:when>
									<outout:otherwise>
									  <br /><br />
									</outout:otherwise>
								</outout:choose>
							  <outout:choose>
								  <outout:when test="$help_switch='on'">
						      	<font face="Arial, Helvetica, sans-serif">
							        <a>
  											<outout:call-template name='helpLinkString'>
  											  <outout:with-param name='event'>
  													<outout:value-of select="$help_event_value" />
  											  </outout:with-param>
  											</outout:call-template>
							          <font size="2" color="#FFFFFF">
							            <outout:value-of select="$fw_statusbar_help" />
							          </font>
							        </a>
							      </font>
							    </outout:when>
							    <outout:otherwise>
							      <br />
							    </outout:otherwise>
						    </outout:choose>
						  </td>
				    	<td valign="bottom" align="right"><img src="../imgs/transDot.gif" alt="" width="10" height="35"/></td>
						</tr>
					</table>
					<table width="100%" height="1" cellpadding="0" cellspacing="0" border="0">
				  	<tr>
				    	<td colspan="3" height="1"><img src="../imgs/blackDot.gif" alt="" width="100%" height="1"/></td>
					  </tr>
					</table>
				</outout:otherwise>
			</outout:choose>

		</statusbar>
	</outout:template>

	<outout:template name='queryString'>
	  <outout:param name="linkStr" />
	  <outout:attribute name='href'>
	  <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $linkStr)"/>
	  </outout:attribute>
	</outout:template>

	<outout:template name='linkString'>
	  <outout:param name="event" />
	  <outout:attribute name='href'>
	  <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event, '&amp;', $via_param, '=fw_')"/>
	  </outout:attribute>
	</outout:template>

	<outout:template name='helpLinkString'>
	  <outout:param name="event" />

	  <outout:attribute name='href'>
	  <!-- outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/ -->
	  <!-- outout:value-of select="translate( $help_file_URI, ' ', '+' )"/ -->
	  <outout:value-of select="$help_file_URI"/>
	  </outout:attribute>

	  <outout:attribute name='target'>
	  <outout:value-of select='$help_target_window'/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>




