<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = change System
 *
 *  Function:
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  02/Jan/24 Initial Version                                        @f206514
 *  02/Feb/17 Add persistant data                                    @d211838hab
 *  02/Apr/08 Add target access key param                           @d223561hab
 *  02/Jun/19 Remove links on bread crumb trail                     @d239217hab
 *  02/Aug/20 Switch order of get params to prevent defects         @d250389hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAM DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_pda_change_system_prompt" />
  <outout:param name="ccwa_pda_change_system_system" />
  <outout:param name="ccwa_pda_change_system_cancel" />
  <outout:param name="os_view" select="no" />
  <outout:param name="cc390_view" select="no" />

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name="data_param" />

  <!-- EVENTS -->
  <!-- "change_system" -->

  <!-- start of rule to match root -->
  <outout:template match="/">

    <body>
      <b>
      <outout:call-template name="form_bctrail" >
        <outout:with-param name="string">
          <outout:value-of select="$breadcrumbs" />
        </outout:with-param>
      </outout:call-template>
      </b>
      <hr />
      <outout:value-of select="$ccwa_pda_change_system_system" />
      <br /><br />
      <outout:if test="$os_view = 'no' and $cc390_view = 'no'">
        <br />
      </outout:if>
      <hr />
      <b>
        <outout:value-of select="$ccwa_pda_change_system_prompt" />
      </b>
      <br /><br />
      <outout:apply-templates select="root/dresult" />
      <hr />
      <input type="submit" name="cancelBtn">
        <outout:attribute name="value">
          <outout:value-of select="$ccwa_pda_change_system_cancel" />
        </outout:attribute>
      </input>
    </body>

  </outout:template>

  <outout:template match="root/dresult/option">
    <a>
      <outout:call-template name="linkString">
        <outout:with-param name="event">
          <outout:value-of select="'change_system'" />
        </outout:with-param>
        <outout:with-param name="data">
          <outout:copy-of select="text()"/>
        </outout:with-param>
      </outout:call-template>
      <outout:copy-of select="text()"/>
    </a>
    <br />
  </outout:template>

	<outout:template name='linkString'>
	  <outout:param name='event'/>
	  <outout:param name='data' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='data_pair'>
      <outout:value-of select="concat( '&amp;', $data_param, '=', $data )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $function_pair, $data_pair )"/>
	  </outout:attribute>
	</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <outout:variable name="label">
            <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
          </outout:variable>
          <outout:value-of select="$label" />
          <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

</outout:stylesheet>



