<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = command history screen
 *
 *  Function:
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                              S&D Code
 *  02/Feb/05 Initial Version                                        @f209389
 *  02/Feb/17 Add persistant data                                    @d211838hab
 *  02/Mar/06 Add dmessage display (for error messages)              @d217501hab
 *  02/Mar/21 Add bread crumb trail support                          @d221874cmw
 *  02/Apr/08 Add target access key param                            @d223561hab
 *  02/May/21 Make all links black                                  @d231712hab
 *  02/Oct/28 Meet accessibility requirements                       @d221810hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->

<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<outout:output method="xml" omit-xml-declaration="yes"/>

	<!-- PARAMETER DECLARATION AREA -->
	<outout:param name="breadcrumbs" />
	<outout:param name="ccwa_command_history_operation" />
	<outout:param name="ccwa_command_history_return" />

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

	<outout:param name='cs_value'/>
	<outout:param name='sid_value'/>
	<outout:param name='event_param'/>
	<outout:param name='cs_param'/>
	<outout:param name='sid_param'/>
	<outout:param name='data_param' />
	<outout:param name='req_uri_param'/>

	<!-- EVENTS -->
	<!-- "return" -->
	<!-- "select_command" -->

	<!-- Start of rule to match on root -->
	<outout:template match="/">

		<body link="#000000" alink="#000000" vlink="#000000" bgcolor="#FFFFFF" text="#000000" leftmargin="0" rightmargin="0" topmargin="0" marginwidth="0" marginheight="0">

			<table width="100%" border="0" cellspacing="3" cellpadding="0">
			  <tr valign="top">
			    <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="20" height="40"/></td>
			    <td width="100%">
						<b><font size="2" color="#000000">
			      <outout:call-template name="form_bctrail" >
              <outout:with-param name="string">
                <outout:value-of select="$breadcrumbs" />
              </outout:with-param>
            </outout:call-template>
						</font>
						</b>
						<br/>
						<img src="../imgs/transDot.gif" alt="" height="1" width="763"/>
					</td>
			    <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="5" height="20"/></td>
			  </tr>
			  <tr>
			    <td><img src="../imgs/transDot.gif" alt="" width="1" height="150"/></td>
			    <td bgcolor="#000066">
			      <table width="100%" border="0" cellspacing="2" cellpadding="0" height="100%">
			        <tr>
			          <td>
			            <table width="600" border="0" cellspacing="0" cellpadding="0">
						        <tr>
									    <td bgcolor="#CCCCCC"><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
											<td bgcolor="#000066"><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
										</tr>
										<tr>
					   					<td align="center" bgcolor="#CCCCCC" nowrap="true">
					   						<img src="../imgs/transDot.gif" alt="" width="10" height="1"/><font size="2"><b>
												<outout:value-of select="$ccwa_command_history_operation" />
												</b></font><img src="../imgs/transDot.gif" alt="" width="10" height="1"/>
											</td>
											<td align="center" bgcolor="#000066" nowrap="true">
												<img src="../imgs/transDot.gif" alt="" width="75" height="1"/>
												<a>
							            <outout:call-template name='queryString'>
							              <outout:with-param name='event'>
							              	<outout:value-of select="'return'"/>
							              </outout:with-param>
							        		</outout:call-template>

													<font color="#FFFFFF" size="2" face="Arial, Helvetica, sans-serif">&lt;&lt;
														<outout:value-of select="$ccwa_command_history_return" />
													</font>
												</a>
												<img src="../imgs/transDot.gif" alt="" width="75" height="1"/>
												<font face="Arial, Helvetica, sans-serif" size="2" color="#FFFFFF">|</font>
											</td>
											<td align="center" bgcolor="#000066" nowrap="true">
												<img src="../imgs/transDot.gif" alt="" width="75" height="1"/>
												<a href="#">
													<font color="#FFFFFF" size="2" face="Arial, Helvetica, sans-serif"/>
												</a>
												<img src="../imgs/transDot.gif" alt="" width="75" height="1"/>
												<font face="Arial, Helvetica, sans-serif" size="2" color="#FFFFFF"/>
											</td>
										</tr>
				    			</table>
		         		</td>
		          	<td width="99%"/>
		        	</tr>
			        <tr>
			          <td colspan="2" bgcolor="#FFFFFF">
			            <table width="100%" border="0" cellpadding="10">
  									<outout:apply-templates select="root/dmessage" />
			              <tr>
			                <td width="100%" valign="middle">
							          <form name="form1" method="post" action="{$req_uri_param}">
			                    <table width="100%" border="0" cellspacing="3" cellpadding="0" align="center" height="100%">
			                      <tr>
			                      	<td colspan="6"><img src="../imgs/transDot.gif" width="1" height="10" alt="" border="0"/>
			                      	</td>
			                      </tr>
				                    <outout:apply-templates select="root/dresult" />
							            </table>
							          </form>
							        </td>
			              </tr>
			            </table>
			          </td>
			        </tr>
			      </table>
			    </td>
			    <td>&#160;</td>
			  </tr>
			</table>
		</body>
	</outout:template>

	<outout:template match="root/dmessage">
		<tr><td colspan="3"><font size="2" color="#FF0000">
		<outout:copy-of select="text()"/>
		</font></td></tr>
	</outout:template>

	<outout:template match="root/dresult">
		<outout:for-each select="/root/dresult/option">
			<tr>
				<td>
					<a>
            <outout:call-template name='linkString'>
              <outout:with-param name='event'>
              	<outout:value-of select="'select_command'"/>
              </outout:with-param>
              <outout:with-param name='data'>
                <outout:value-of select='position()-1' /> <!-- index of command in string array -->
              </outout:with-param>
        		</outout:call-template>
						<font size="2">
				      <outout:copy-of select="text()|@*|*"/>
			      </font>
		      </a>
		    </td>
		  </tr>
		  <outout:if test='not(position()=last())' >
				<tr>
					<td><hr width="100%" size="1" noshade="true"/></td>
		    </tr>
		  </outout:if>
		</outout:for-each>
	</outout:template>

	<outout:template name='queryString'>
	  <outout:param name='event'/>

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $function_pair )"/>
	  </outout:attribute>
	</outout:template>

	<outout:template name='linkString'>
	  <outout:param name='event'/>
	  <outout:param name='data' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='data_pair'>
      <outout:value-of select="concat( '&amp;', $data_param, '=', $data )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $data_pair, $function_pair )"/>
	  </outout:attribute>
	</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $function_pair )"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>