<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = Connection stylesheet
 *
 *  Function: displays a screen that list the connected systems.
 *            It allows the user to close the connection to those
 *            systems.
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE      DESCRIPTION                                             S&D Code
 *  02/Feb/24   Initial Version                                     @f214306cmw
 *  02/Apr/08 Add target access key param                           @d223561hab
 *  02/Apr/24 Fix dynamic data handling                             @d226203hab
 *  02/May/22 Remove [Close] link next to first connection          @d235104hab
 *
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAM DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_pda_connections_description1" />
  <outout:param name="ccwa_pda_connections_description2" />
  <outout:param name="ccwa_pda_connections_description3" />
  <outout:param name="ccwa_pda_connections_close" />
  <outout:param name="os_view"  select="no"/>   <!-- is 'yes' if user wants to execute os commands -->
  <outout:param name="os390_view" select="no" /> <!-- is 'yes' if accessing os390 system -->

  <outout:param name="system_value" />
  <outout:param name="system_value_key" /> <!-- used as a hidden field to re-construct system name data -->

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name="data_param" />
  <outout:param name="via_param" />

  <outout:variable name='tk_prefix' /> <!-- the framework toolkit prefix -->

  <!-- EVENTS -->
  <!-- "goto" -->
  <!-- "use_connection" -->
  <!-- "close_connection" -->

  <!-- start of rule to match root -->
  <outout:template match="/">

    <body>
      <b>
      <outout:call-template name="form_bctrail" >
        <outout:with-param name="string">
          <outout:value-of select="$breadcrumbs" />
        </outout:with-param>
      </outout:call-template>

      </b>
      <hr />
      <outout:choose>
        <outout:when test="$os390_view = 'no' and $os_view = 'no'">
          <b><outout:value-of select="$ccwa_pda_connections_description1" /></b>
        </outout:when>
        <outout:when test="$os390_view = 'yes' and $os_view = 'no'">
          <b><outout:value-of select="$ccwa_pda_connections_description2" /></b>
        </outout:when>
        <outout:otherwise>
          <b><outout:value-of select="$ccwa_pda_connections_description3" /></b>
        </outout:otherwise>
      </outout:choose>
      <br /><br />
      <outout:apply-templates select="root/dresult" />
    </body>

  </outout:template>

  <outout:template match="root/dresult/tr">
    <a>
      <outout:call-template name="linkString">
        <outout:with-param name="event">
          <outout:value-of select="'use_connection'" />
        </outout:with-param>
        <outout:with-param name="data" >
          <outout:value-of select="@name" />
        </outout:with-param>
      </outout:call-template>
      <outout:value-of select="@value"/>
    </a>
    <outout:if test="position() &gt; 1">
      &#160;
      &#160;
      <a>
        <outout:call-template name="linkString">
          <outout:with-param name="event">
            <outout:value-of select="'close_connection'" />
          </outout:with-param>
          <outout:with-param name="data" >
            <outout:value-of select="@name" />
          </outout:with-param>
        </outout:call-template>
        <outout:value-of select="$ccwa_pda_connections_close" />
      </a>
    </outout:if>
    <br />
  </outout:template>


  <outout:template name='linkString'>
    <outout:param name='event'/>
    <outout:param name='data' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='data_pair'>
      <outout:value-of select="concat( '&amp;', $data_param, '=', $data )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>

    <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $data_pair, $function_pair )"/>
    </outout:attribute>
  </outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $function_pair )"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>


