<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name =
 *
 *  Function:
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  02/Jan/24 Initial Version                                        @f206514
 *  02/FEB/11 Support dynamic generation of system list + fix        @f210607cmw
 *  02/Mar/23 Add link mri key to DB2 Web Tools                      @d222688hab
 *  02/Apr/10 Temp FIX: to be deleted later : help link added        @d226534hab
 *  02/Nov/04 remove signoff link                                    @d255462hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAM DECLARATION AREA -->
  <outout:param name="ccwa_pda_function_select_prompt" />
  <outout:param name="ccwa_pda_function_select_sql" />
  <outout:param name="ccwa_pda_function_select_script" />
  <outout:param name="ccwa_pda_function_select_os" />
  <!-- additional mri key for late added link to DB2 Web Tools -->
  <outout:param name="ccwa_pda_choose_system_tools" />

  <outout:param name="function_select_sql" />
  <outout:param name="function_select_script" />
  <outout:param name="function_select_os" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="via_param" />
  <outout:param name="data_param" />

  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name="via_param" />
  <outout:param name="tk_prefix" /> <!-- the framework toolkit prefix -->

  <!-- EVENTS -->
  <!-- "goto" -->

  <!-- start of rule to match root -->
  <outout:template match="/">

    <body>
      <b>
        <outout:value-of select="$ccwa_pda_function_select_prompt" />
      </b>
      <br /><br />
      <a>
  			<outout:call-template name="queryString">
  				<outout:with-param name="event">
            <outout:value-of select="'function_select'" />
        	</outout:with-param>
  				<outout:with-param name="data">
            <outout:value-of select="$function_select_sql" />
        	</outout:with-param>

  			</outout:call-template>
  			<outout:value-of select="$ccwa_pda_function_select_sql" />
			</a>
      <br />
      <a>
  			<outout:call-template name="queryString">
  				<outout:with-param name="event">
            <outout:value-of select="'function_select'" />
        	</outout:with-param>
  				<outout:with-param name="data">
            <outout:value-of select="$function_select_script" />
        	</outout:with-param>
  			</outout:call-template>
        <outout:value-of select="$ccwa_pda_function_select_script" />
      </a>
      <br />
      <a>
  			<outout:call-template name="queryString">
  				<outout:with-param name="event">
            <outout:value-of select="'function_select'" />
        	</outout:with-param>
  				<outout:with-param name="data">
            <outout:value-of select="$function_select_os" />
        	</outout:with-param>
  			</outout:call-template>
  			<outout:value-of select="$ccwa_pda_function_select_os" />
      </a>
      <hr />
      <a>
        <outout:call-template name="toolsQueryString">
          <outout:with-param name="event">
            <outout:value-of select="'goto'" />
          </outout:with-param>
        </outout:call-template>
        <outout:value-of select="$ccwa_pda_choose_system_tools" />
      </a>
    </body>

  </outout:template>

  <outout:template name='toolsQueryString'>
    <outout:param name='event'/>

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='via_pair'>
      <outout:value-of select="concat( '&amp;', $via_param, '=', $tk_prefix )" />
    </outout:variable>

    <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $via_pair )"/>
    </outout:attribute>
  </outout:template>

	<outout:template name='queryString'>
	  <outout:param name='event'/>
	  <outout:param name='data' />

	  <outout:attribute name='href'>
	  <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event, '&amp;', $data_param, '=', $data)"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>



