<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =  (%W%)
 *
 *  Descriptive Name = configure output buffer
 *
 *  Function: displays a screen that allows the user to configure the interactive
 *  output buffer to a specific size in KBytes.
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                              S&D Code
 *  02/Nov/25 Initial Version                                       @d261057hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<outout:output method="xml" omit-xml-declaration="yes" />

	<!-- PARAMETER DECLARATION AREA -->
	<outout:param name="breadcrumbs" />
	<outout:param name="ccwa_config_buffer_operation" />
	<outout:param name="ccwa_config_buffer_label" />
	<outout:param name="ccwa_config_buffer_default" />
	<outout:param name="ccwa_config_buffer_new" />
	<outout:param name="ccwa_config_buffer_ok" />
	<outout:param name="ccwa_config_buffer_cancel" />
  <outout:param name="ccwa_use_termination_char" />

	<outout:param name="output_size_value" />
  <outout:param name="current_term_char" />

	<outout:param name='default_size' />
	<outout:param name='new_size' />
  <outout:param name="script_function" />

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

	<outout:param name='cs_value'/>
	<outout:param name='sid_value'/>
	<outout:param name='event_param'/>
	<outout:param name='cs_param'/>
	<outout:param name='sid_param'/>
	<outout:param name='req_uri_param'/>


	<!-- Start of rule to match on root -->
	<outout:template match="/">
		<body link="#000000" alink="#000000" vlink="#000000" bgcolor="#FFFFFF" text="#000000" leftmargin="0" rightmargin="0" topmargin="0" marginwidth="0" marginheight="0">
			<table width="100%" border="0" cellspacing="3" cellpadding="0">
			  <tr valign="top">
			    <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="20" height="40"/></td>
			    <td width="100%">
						<b>
							<font size="2" color="#000000">
  			        <outout:call-template name="form_bctrail" >
                  <outout:with-param name="string">
                    <outout:value-of select="$breadcrumbs" />
                  </outout:with-param>
                </outout:call-template>
							</font>
						</b>
						<br/>
						<img src="../imgs/transDot.gif" alt="" height="1" width="763"/>
					</td>
			    <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="5" height="20"/></td>
			  </tr>
			  <tr>
			    <td/>
			    <td bgcolor="#000066">
			      <table width="100%" border="0" cellspacing="2" cellpadding="0">
			        <tr>
			          <td>
			            <table bgcolor="#CCCCCC" width="150" border="0" cellspacing="0" cellpadding="0">
				            <tr>
						          <td><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
						        </tr>
						        <tr>
						          <td align="center" nowrap="true">
			                  <font size="2"><b>
			                    <outout:value-of select="$ccwa_config_buffer_operation" />
			                  </b></font>
			                </td>
			 			        </tr>
					        </table>
				  	    </td>
					      <td width="99%"/>
					    </tr>
			        <tr>
			          <td colspan="2" bgcolor="#FFFFFF">
			            <table width="100%" border="0" cellpadding="10">
			              <tr>&#160;</tr>
			              <!-- insert any error message here -->
			                        <outout:apply-templates select="root/derror" />
			                        <outout:apply-templates select="root/dmessage" />
				            <tr>
			                <td>
			                  <b>
			                    <outout:value-of select="$ccwa_config_buffer_label" /></b>&#160;
			                  <outout:value-of select="$output_size_value" />
			                </td>
				            </tr>
			              <tr>
			                <td width="100%" valign="middle">
			                  <form name="form1" method="post" action="{$req_uri_param}">
			                    <table width="100%" cellspacing="3" cellpadding="0">
			                      <tr>
			                        <td>
			                          <outout:choose>
        			                    <outout:when test="$cc_selected_function_value = $script_function">
  			                            <input type="radio" name="radiobutton" value="{$default_size}" />
  			                          </outout:when>
        			                    <outout:otherwise>
  			                            <input type="radio" name="radiobutton" value="{$default_size}" checked="true"/>
  			                          </outout:otherwise>
  			                        </outout:choose>
			                          <font size="2" face="Arial, Helvetica, sans-serif">
			                            <outout:value-of select="$ccwa_config_buffer_default" />
			                          </font>
			                        </td>
			                      </tr>
			                      <tr>
			                        <td>
			                          <input type="radio" name="radiobutton" value="{$new_size}"/>
			                          <font face="Arial, Helvetica, sans-serif" size="2">
			                            <label for="size">
			                            <outout:value-of select="$ccwa_config_buffer_new" />
			                            </label>
			                          </font>
			                        </td>
			                      </tr>
			                      <tr>
			                        <td>&#160;
			                          <font size="2" face="Arial, Helvetica, sans-serif">
			                          <input type="text" id="size" name="size" size="9"/>
			                          </font>
			                        </td>
			                      </tr>
			                    </table>
			                    <outout:if test="$cc_selected_function_value = $script_function">
  			                    <br />
  			                    <hr />
  			                    <br />
  			                    <table width="100%" cellspacing="3" cellpadding="0">
  			                      <tr>
  			                        <td>
  			                          <font size="2" face="Arial, Helvetica, sans-serif"><b>
  			                            <label for="char">
  			                            <outout:value-of select="$ccwa_use_termination_char" />
  			                            </label>
  			                          </b></font>
  			                        </td>
  			                      </tr>
  			                      <tr>
  			                        <td>&#160;
  			                          <font size="2" face="Arial, Helvetica, sans-serif">
  			                          <input type="text" id="char" name="termChar" size="1" value="{$current_term_char}" />
  			                          </font>
  			                        </td>
  			                      </tr>
  			                    </table>
                          </outout:if>

			                    <br />
			                    <table width="100%" cellspacing="3" cellpadding="0">
			                       <tr>
			                        <td><img src="../imgs/transDot.gif" width="1" height="10" alt="" border="0"/>
																<input type="submit" name="okBtn" size="2">
																	<outout:attribute name="value">
																		<outout:value-of select="$ccwa_config_buffer_ok"/>
																	</outout:attribute>
																</input>
																<img src="../imgs/transDot.gif" width="5" height="1" alt="" border="0" />
																<input type="submit" name="cancelBtn" size="2">
																	<outout:attribute name="value">
																		<outout:value-of select="$ccwa_config_buffer_cancel"/>
																	</outout:attribute>
																</input>
			                        </td>
			                      </tr>
														<outout:call-template name='makeStandardHiddenFields'>
														  <outout:with-param name='event'>
														  	<outout:value-of select="'btnClick'"/>
														  </outout:with-param>
														</outout:call-template>
														<outout:call-template name='makeHiddenFields' />
			                    </table>
			                  </form>
							        </td>
			              </tr>
			            </table>
			          </td>
			        </tr>
			      </table>
			    </td>
			    <td />
			  </tr>
			</table>
		</body>
	</outout:template>

	<outout:template match="root/dmessage">
		<tr><td><font size="2" color="#FF0000">
			<outout:copy-of select="text()"/>
		</font></td></tr>
	</outout:template>

	<outout:template match="root/derror">
		<tr><td><font size="2" color="#FF0000">
			<outout:copy-of select="text()"/>
		</font></td></tr>
	</outout:template>

	<outout:template name='makeStandardHiddenFields'>
	  <outout:param name='event'/>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cs_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cs_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$sid_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$sid_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$event_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$event'/>
	    </outout:attribute>
	  </input>
	</outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$target_access_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$target_access_key_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
  </outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $function_pair )"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>