<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = Interactive stylesheet
 *
 *  Function: displays a screen that shows the interactive page for any
 *            one of the three command center functions.
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE      DESCRIPTION                                          S&D Code
 *  02/Apr/25   Initial Version                                     @d229822hab
 *  02/Apr/29   Support listing of result in output box             @d230460cmw
 *  02/May/07  Add Special handling for tkname breadcrumbtrail      @d231057hab
 *  02/May/13   Fix the "change" links                              @d232504cmw
 *  02/Jun/19 Remove Change links                                   @d239217hab
 *  02/Aug/21 Replace output textarea with paragraph tag            @d251521hab
 *  02/Nov/08 Add ccwa_pda_breadcrumb_cc_home link                  @d258932hab
 *  02/Nov/26 Add general settings link to scripts screen           @d261057hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAM DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_pda_interactive_sql_open_file" />
  <outout:param name="ccwa_pda_interactive_sql_save_command" />
  <outout:param name="ccwa_pda_interactive_sql_command" />
  <outout:param name="ccwa_pda_interactive_sql_output" />
  <outout:param name="ccwa_pda_interactive_sql_system" />
  <outout:param name="ccwa_pda_interactive_sql_instance" />
  <outout:param name="ccwa_pda_interactive_sql_database" />
  <outout:param name="ccwa_pda_interactive_sql_execute" />
  <outout:param name="ccwa_pda_interactive_sql_subsystem" />
  <outout:param name="ccwa_use_termination_char" />

  <outout:param name="gen_link_event_value" />

  <outout:param name="current_term_char" />
  <outout:param name="system_value" />
  <outout:param name="instance_value" />
  <outout:param name="database_value" />
  <outout:param name="subsystem_value" />
  <outout:param name="command" />

  <outout:param name="os390_view" /> <!-- is 'yes' if accessing os390 system -->
  <!-- breadcrumb_switch is 'off' when we want to display a link to a toolkit instead of the usual bct -->
  <outout:param name="breadcrumb_switch" select="'on'" />
  <outout:param name="instance_view" select="'no'" /> <!-- is 'yes' when we don't have a db connection -->
  <outout:param name="script_function" /> <!-- value of selected function when it is scripts -->
  <outout:param name="os_function" /> <!-- value of selected function when it is os -->

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name="data_param" />
  <outout:param name="via_param" />

  <outout:param name="cc_prefix" /> <!-- the framework toolkit prefix -->
  <outout:param name="fw_prefix" />

  <!-- the calling toolkit prefix -->
  <outout:param name="return_tk_prefix" />
  <!-- link to the CCWA Home page used in conjunction with return_tk_prefix -->
  <outout:param name="ccwa_pda_breadcrumb_cc_home" />

  <!-- EVENTS -->
  <!-- "change_system" -->
  <!-- "change_instance" -->
  <!-- "change_database" -->
  <!-- "change_subsystem" -->
  <!-- "open_file" -->
  <!-- "save_cmd" -->
  <!-- "execute" -->
  <!-- "login" -->

  <!-- start of rule to match root -->
  <outout:template match="/">

    <body>
      <b>
        <outout:choose>
          <outout:when test="$breadcrumb_switch = 'on'" >
            <outout:call-template name="form_bctrail" >
              <outout:with-param name="string">
                <outout:value-of select="$breadcrumbs" />
              </outout:with-param>
            </outout:call-template>
          </outout:when>
          <outout:otherwise>
            <a>
              <outout:call-template name="queryString">
        			  <outout:with-param name="event">
                  <outout:value-of select="$gen_link_event_value" />
              	</outout:with-param>
        			  <outout:with-param name="tk_prefix">
                  <outout:value-of select="$return_tk_prefix" />
              	</outout:with-param>
             	</outout:call-template>
              <outout:value-of select="$breadcrumbs" />
            </a>
            <br />
            <a>
              <outout:call-template name="linkString">
        			  <outout:with-param name="event">
                  <outout:value-of select="'clean'" />
              	</outout:with-param>
             	</outout:call-template>
              <outout:value-of select="$ccwa_pda_breadcrumb_cc_home" />
            </a>
          </outout:otherwise>
        </outout:choose>
      </b>
      <hr />
      <outout:choose>
        <outout:when test="$cc_selected_function_value = $os_function">
          <outout:call-template name="os" />
        </outout:when>
        <outout:otherwise>
          <outout:call-template name="sql_or_scripts" />
        </outout:otherwise>
      </outout:choose>
      <hr />
      <form name="interactive" method="post" action="{$req_uri_param}">
        <input type="submit" name="openBtn">
          <outout:attribute name="value">
            <outout:value-of select="$ccwa_pda_interactive_sql_open_file" />
          </outout:attribute>
        </input>
        &#160;  |
        &#160;
        <input type="submit" name="saveBtn">
          <outout:attribute name="value">
            <outout:value-of select="$ccwa_pda_interactive_sql_save_command" />
          </outout:attribute>
        </input>
  			<br />
        <b>
          <outout:value-of select="$ccwa_pda_interactive_sql_command" />
        </b>
        <br />
        <textarea rows="3" cols="30" name="commandsTextArea">
          <outout:value-of select="$command" />
        </textarea>
        <br />
        <outout:if test="$cc_selected_function_value = $script_function">
          <outout:value-of select="$ccwa_use_termination_char" />
          <br />
          <input type="text" name="termChar" size="1" value="{$current_term_char}"/>
          <br />
        </outout:if>
        <input type="submit" name="executeBtn">
          <outout:attribute name="value">
            <outout:value-of select="$ccwa_pda_interactive_sql_execute" />
          </outout:attribute>
        </input>
        <br />
        <br />
        <b>
          <outout:value-of select="$ccwa_pda_interactive_sql_output" />
        </b>
        <br />
        <pre>
          <!-- display both errors,text results and messages in output text area -->
          <outout:apply-templates select="root" />
        </pre>

        <outout:call-template name='makeStandardHiddenFields'>
          <outout:with-param name='event' select="'btnClick'" />
        </outout:call-template>
        <outout:call-template name='makeHiddenFields' />
      </form>
    </body>

  </outout:template>

  <outout:template name="sql_or_scripts">
      <outout:value-of select="$ccwa_pda_interactive_sql_system" />
      &#160;
      <!-- link to system details by clicking on the value -->
      <a>
        <outout:call-template name="queryString">
  			  <outout:with-param name="event">
            <outout:value-of select="'system_details'" />
        	</outout:with-param>
  			  <outout:with-param name="tk_prefix">
            <outout:value-of select="$fw_prefix" />
        	</outout:with-param>
       	</outout:call-template>
        <outout:value-of select="$system_value" />
      </a>
      <br />
      <outout:choose>
        <outout:when test="$os390_view = 'no'">
          <outout:if test="$cc_selected_function_value != $os_function">
            <outout:value-of select="$ccwa_pda_interactive_sql_instance" />
            &#160;
            <a>
    			    <outout:call-template name="queryString">
    				    <outout:with-param name="event">
                  <outout:value-of select="'instance_details'" />
          	    </outout:with-param>
        			  <outout:with-param name="tk_prefix">
                  <outout:value-of select="$fw_prefix" />
              	</outout:with-param>
       			  </outout:call-template>
              <outout:value-of select="$instance_value" />
            </a>
            <br />
            <outout:if test="$instance_view = 'no'">
              <outout:value-of select="$ccwa_pda_interactive_sql_database" />
              &#160;
              <a>
      			    <outout:call-template name="queryString">
      				    <outout:with-param name="event">
                    <outout:value-of select="'database_details'" />
            	    </outout:with-param>
          			  <outout:with-param name="tk_prefix">
                    <outout:value-of select="$fw_prefix" />
                	</outout:with-param>
         			  </outout:call-template>
                <outout:value-of select="$database_value" />
              </a>
              <br />
            </outout:if>
          </outout:if>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$ccwa_pda_interactive_sql_subsystem" />
          &#160;
          <a>
  			    <outout:call-template name="queryString">
  				    <outout:with-param name="event">
                <outout:value-of select="'subsystem_details'" />
        	    </outout:with-param>
      			  <outout:with-param name="tk_prefix">
                <outout:value-of select="$fw_prefix" />
            	</outout:with-param>
     			  </outout:call-template>
          <outout:value-of select="$subsystem_value" />
          </a>

        </outout:otherwise>
      </outout:choose>

  </outout:template>

  <outout:template name="os">
    <outout:value-of select="$ccwa_pda_interactive_sql_system" />
    &#160;
    <outout:value-of select="$system_value" />
    <br />
  </outout:template>

  <outout:template match="root/dmessage">
    <outout:copy-of select="text()"/>
  </outout:template>

  <outout:template match="root/derror">
    <outout:copy-of select="text()"/>
  </outout:template>

  <outout:template match="root/dresult">
    <outout:copy-of select="text()|@*|*"/>
  </outout:template>

  <outout:template name='queryString'>
    <outout:param name='event'/>
    <outout:param name='tk_prefix' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='via_pair'>
      <outout:value-of select="concat( '&amp;', $via_param, '=', $tk_prefix )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

    <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $function_pair, $via_pair, $target_pair )"/>
    </outout:attribute>
  </outout:template>

  <outout:template name='linkString'>
    <outout:param name='event'/>
    <outout:param name='data' />
    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='data_pair'>
      <outout:value-of select="concat( '&amp;', $data_param, '=', $data )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $data_pair, $function_pair, $target_pair )"/>
    </outout:attribute>
  </outout:template>


  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$target_access_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$target_access_key_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
  </outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $function_pair )"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>


