<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = System login stylesheet
 *
 *  Function: displays a screen that allows the user to select a system and
 *            enter login info ( user id & password ).
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  02/Feb/08 Initial Version                                        @f210126cmw
 *  02/Feb/17 Add persistant data                                    @d211838hab
 *  02/Feb/27 Add error message display rule                         @d213455hab
 *  02/Apr/08 Add target access key param                            @d223561hab
 *  02/Apr/23 Add system param key and pass the selected system name @d226203hab
 *  02/May/23 Add new_target param to keep track of selected target  @d235104hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%
 *
 *
 ************************************************************************** -->

  <outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAM DECLARATION AREA -->
  <outout:param name="ccwa_pda_login_system_system" />
  <outout:param name="ccwa_pda_login_system_userid" />
  <outout:param name="ccwa_pda_login_system_password" />
  <outout:param name="ccwa_pda_login_system_ok" />
  <outout:param name="ccwa_pda_login_system_cancel" />

  <outout:param name="system_value" />
  <outout:param name="system_value_key" />

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- new target param used to hold value of object we are trying to login to -->
  <outout:param name="new_target_param" />
  <outout:param name="new_target_value" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <!-- start of rule to match root -->
  <outout:template match="/">

    <body>
      <outout:value-of select="$ccwa_pda_login_system_system" />
      &#160;
      <outout:value-of select="$system_value" />
      <br /><br /><br />
      <form name="login" method="post" action="{$req_uri_param}">
        <hr />
        <b><outout:apply-templates select="root/dmessage"/></b>
        <b>
          <outout:value-of select="$ccwa_pda_login_system_userid" />
        </b>
        <br />
        <input type="text" size="20" name="userid" />
        <br />
        <b>
          <outout:value-of select="$ccwa_pda_login_system_password" />
        </b>
        <br />
        <input type="password" size="20" name="password" />
        <br /><br />
        <input type="submit" name="okBtn">
          <outout:attribute name="value">
            <outout:value-of select="$ccwa_pda_login_system_ok" />
          </outout:attribute>
        </input>
        &#160;
        <input type="submit" name="cancelBtn">
          <outout:attribute name="value">
            <outout:value-of select="$ccwa_pda_login_system_cancel" />
          </outout:attribute>
        </input>

        <outout:call-template name='makeStandardHiddenFields'>
          <outout:with-param name='event' select="'btnClick'" />
        </outout:call-template>
        <outout:call-template name='makeHiddenFields' />

      </form>
    </body>

  </outout:template>

  <outout:template match="root/dmessage">
    <outout:copy-of select="text()|@*|*"/><br /><br />
  </outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$new_target_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$new_target_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$system_value_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$system_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
	</outout:template>

</outout:stylesheet>

