<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = open file page
 *
 *  Function: displays the open file page.
 *            Links are provided to browse the file system
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE      DESCRIPTION                                          S&D Code
 *  02/Feb/24  Initial Version                                      @f214306cmw
 *  02/Apr/08  Add target access key param                          @d223561hab
 *  02/May/13  Fix the dirctory content display                     @d232504cmw
 *  02/May/24  Fix Open File and Save Command states                @d235249cmw
 *  02/Jun/11  Fix drive display code                               @d217324hab
 *  02/Jun/19 Remove links on bread crumb trail                     @d239217hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAM DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_pda_open_file_system" />
  <outout:param name="system_value" />
  <outout:param name="ccwa_pda_open_file_change" />
  <outout:param name="ccwa_pda_open_file_drive" />
  <outout:param name="drive_value" />
  <outout:param name="ccwa_pda_open_file_path" />
  <outout:param name="path_value" />
  <outout:param name="ccwa_pda_open_file_filename" />
  <outout:param name="ccwa_pda_open_file_open" />
  <outout:param name="ccwa_pda_open_file_cancel" />
  <outout:param name="ccwa_pda_open_file_move_up" />
  <outout:param name="view_drive" select="'yes'" /> <!-- view_drive is 'no' for os390/unix systems -->
  <outout:param name="directory_key" />
	<outout:param name="filename_value" />

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <outout:param name="cc_selected_drive_param" />
  <outout:param name="cc_current_path_param" />

  <outout:param name="drive_value_key" /> <!-- used as a hidden field to re-construct system name data -->
  <outout:param name="path_value_key" /> <!-- used as a hidden field to re-construct system name data -->

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

  <outout:param name="data_param" />
  <outout:param name="via_param" />

  <outout:param name='tk_prefix' /> <!-- the framework toolkit prefix -->

  <!-- start of rule to match root -->
  <outout:template match="/">

    <body>
      <b>
      <outout:call-template name="form_bctrail" >
        <outout:with-param name="string">
          <outout:value-of select="$breadcrumbs" />
        </outout:with-param>
      </outout:call-template>
      </b>
      <hr />
      <outout:value-of select="$ccwa_pda_open_file_system" />
      &#160;
      <a>
    		<outout:call-template name="viaQueryString">
    			<outout:with-param name="event">
            <outout:value-of select="'system_details'" />
         	</outout:with-param>
  			</outout:call-template>
        <outout:value-of select="$system_value" />
      </a>
      &#160;
      <a>
    		<outout:call-template name="queryString">
    			<outout:with-param name="event">
            <outout:value-of select="'change_system'" />
         	</outout:with-param>
  			</outout:call-template>
        <outout:value-of select="$ccwa_pda_open_file_change" />
      </a>
      <br />
      <outout:if test="$view_drive = 'yes'">
        <outout:value-of select="$ccwa_pda_open_file_drive" />
        &#160;
        <outout:value-of select="$drive_value" />
        &#160;
        <a>
    		  <outout:call-template name="queryString">
    			  <outout:with-param name="event">
              <outout:value-of select="'change_drive'" />
         	  </outout:with-param>
  			  </outout:call-template>
          <outout:value-of select="$ccwa_pda_open_file_change" />
        </a>
      </outout:if>
      <hr />
      <b>
        <outout:value-of select="$ccwa_pda_open_file_path" />
        &#160;
        <outout:value-of select="$path_value" />
      </b>
      <br />
        <a>
    		  <outout:call-template name="queryString">
    			  <outout:with-param name="event">
              <outout:value-of select="'change_drive'" />
         	  </outout:with-param>
  			  </outout:call-template>
          <outout:call-template name='linkString'>
            <outout:with-param name='event'>
            	<outout:value-of select="'go_up'"/>
            </outout:with-param>
            <outout:with-param name='data'>
            	<outout:value-of select="'..'"/>
            </outout:with-param>
       		</outout:call-template>
          <outout:value-of select="$ccwa_pda_open_file_move_up" />
        </a>
      <hr />
      <outout:apply-templates select="root/dresult" />
      <hr />
      <form name="form1" method="post" action="{$req_uri_param}">
        <outout:value-of select="$ccwa_pda_open_file_filename" />
        &#160;
				<input type="text" name="filename" size="20" readonly="true">
				  <outout:attribute name="value">
						<outout:value-of select="$filename_value" />
				  </outout:attribute>
			  </input>
        <br />
        <input type="submit" name="openBtn">
          <outout:attribute name="value">
            <outout:value-of select="$ccwa_pda_open_file_open" />
          </outout:attribute>
        </input>
        &#160;
        <input type="submit" name="cancelBtn">
          <outout:attribute name="value">
            <outout:value-of select="$ccwa_pda_open_file_cancel" />
          </outout:attribute>
        </input>

        <outout:call-template name='makeStandardHiddenFields'>
          <outout:with-param name='event' select="'btnClick'" />
        </outout:call-template>
        <outout:call-template name='makeHiddenFields' />

      </form>
    </body>

  </outout:template>

  <outout:template match="root/dresult/tr">
    <outout:choose>
      <outout:when test="@value=$directory_key">
      <a>
        <outout:call-template name='linkString'>
          <outout:with-param name='event'>
             <outout:value-of select="'drill_down'" />
          </outout:with-param>
          <outout:with-param name='data' >
            <outout:value-of select="@name" />
          </outout:with-param>
        </outout:call-template>
        [<outout:value-of select="@name"/>]
      </a>
      </outout:when>
      <outout:otherwise>
        <a>
        <outout:call-template name="linkString">
          <outout:with-param name='event'>
            <outout:value-of select="'select_file'" />
          </outout:with-param>
          <outout:with-param name='data' >
            <outout:value-of select="@name" />
          </outout:with-param>
        </outout:call-template>
        <outout:value-of select="@name" />
        </a>
      </outout:otherwise>
    </outout:choose>
    <br />
  </outout:template>

  <outout:template name='queryString'>
    <outout:param name='event'/>

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>

    <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $function_pair, $target_pair )"/>
    </outout:attribute>
  </outout:template>

  <outout:template name='viaQueryString'>
    <outout:param name='event'/>

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='via_pair'>
      <outout:value-of select="concat( '&amp;', $via_param, '=', $tk_prefix )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

    <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $function_pair, $via_pair, $target_pair )"/>

    </outout:attribute>
  </outout:template>


  <outout:template name='linkString'>
    <outout:param name='event'/>
    <outout:param name='data' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='data_pair'>
      <!-- outout:value-of select="concat( '&amp;', $data_param, '=', $data )" / -->
      <outout:value-of select="concat( '&amp;', $data_param, '=', $data )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='drive_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_drive_param, '=', $drive_value )" />
    </outout:variable>
    <outout:variable name='path_pair'>
      <outout:value-of select="concat( '&amp;', $cc_current_path_param, '=', $path_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

    <outout:attribute name='href'>
  	  <!-- outout:value-of select="concat( $standard_params, $data_pair, $drive_pair, $path_pair, $function_pair, $target_pair )"/ -->
  	  <outout:value-of select="concat( $standard_params, $data_pair, $drive_pair, $path_pair, $function_pair, $target_pair )"/>
    </outout:attribute>

  </outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$target_access_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$target_access_key_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
 <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_drive_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$drive_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_current_path_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$path_value'/>
	    </outout:attribute>
	  </input>
  </outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <outout:variable name="label">
            <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
          </outout:variable>
          <outout:value-of select="$label" />
          <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

</outout:stylesheet>



