<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = results update
 *
 *  Function: displays the update results page
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE      DESCRIPTION                                          S&D Code
 *  02/Feb/24  Initial Version                                      @f214306cmw
 *  02/Apr/08  Add target access key param                          @d223561hab
 *  02/May/21  Fix the update screen stylesheet                     @d234261cmw
 *  02/Jun/13  Remove rollback btn until rollback_switch is on      @d239217hab
 *  02/Jul/24  Add missing derror template                          @d245780alp
 *  02/Jul/26  Remove the unused input tag                          @d243077cmw
 *  02/Aug/27  Remove obsolete string truncation code               @d253212hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAM DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_pda_results_update_current" />
  <outout:param name="ccwa_pda_results_update_new_value" />
  <outout:param name="ccwa_pda_results_update_update" />
  <outout:param name="ccwa_pda_results_update_rollback" />
  <outout:param name="chosen_col" /> <!-- a value between 1 and 3 -->
  <outout:param name="chosen_row" />
  <outout:param name="current_value" />

  <outout:param name="rollback_switch" select="'off'" />
  <outout:param name="start_col" /> <!-- start column key -->
  <outout:param name="x_pos" /> <!-- start column value -->
  <outout:param name="updated_row_number_key" />
  <outout:param name="updated_col_number_key" />

  <outout:param name="old_value_key" /> <!-- used to hold the old value of the field -->
  <outout:param name="new_value_key" />
  <outout:param name="old_value" />

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <!-- start of rule to match root -->
  <outout:template match="/">

    <body>
      <b>
      <outout:call-template name="form_bctrail" >
        <outout:with-param name="string">
          <outout:value-of select="$breadcrumbs" />
        </outout:with-param>
      </outout:call-template>
      </b>

      <form name="form1" method="post" action="{$req_uri_param}">
      <outout:apply-templates select="root/dmessage" />
      <outout:apply-templates select="root/derror" />
      <outout:apply-templates select="root/dresult" />

      <b>
        <outout:value-of select="$ccwa_pda_results_update_current" />
      </b>
      &#160;
      <!-- display the td cell that is in the chosen_col value -->
      <!-- outout:value-of select="/root/dresult/tr/td[$chosen_col = position()+ $x_pos - 1]" / -->
      <outout:value-of select="$current_value" />
      <outout:call-template name="hideOldValue">
        <outout:with-param name="old_value">
          <!-- outout:value-of select="/root/dresult/tr/td[$chosen_col = position()+ $x_pos - 1]"/ -->
          <outout:value-of select="$current_value" />
        </outout:with-param>
      </outout:call-template>

      <br /><br />
        <b>
          <outout:value-of select="$ccwa_pda_results_update_new_value" />
        </b>
        <br />
        <input type="text" name="{$new_value_key}" size="25" />
        <br />
        <input type="submit" name="updateBtn">
          <outout:attribute name="value">
            <outout:value-of select="$ccwa_pda_results_update_update" />
          </outout:attribute>
        </input>
        &#160;
        <outout:choose>
          <outout:when test="$rollback_switch='on'">
            <input type="submit" name="rollbackBtn">
              <outout:attribute name="value">
                <outout:value-of select="$ccwa_pda_results_update_rollback" />
              </outout:attribute>
            </input>
          </outout:when>
        </outout:choose>

        <outout:call-template name='makeStandardHiddenFields'>
          <outout:with-param name='event' select="'btnClick'" />
        </outout:call-template>
        <outout:call-template name='makeHiddenFields' />

      </form>
    </body>

  </outout:template>

<!-- recursive rule to add leading spaces to a string until it is equal in length to col_len -->
  <outout:template name="printChar">
    <outout:param name="str" />
    <outout:param name="col_len" />
    <outout:if test='string-length($str) &lt; $col_len'>
      <outout:call-template name="printChar">
        <outout:with-param name="str" select="concat(' ',$str)" />
        <outout:with-param name="col_len" select="$col_len" />
      </outout:call-template>
    </outout:if>
    <outout:if test='string-length($str) = $col_len'>
      <outout:value-of select="concat($str,' ')" />
    </outout:if>
  </outout:template>

  <outout:template name="capitalize">
    <outout:param name="string" />
    <outout:value-of select="translate($string,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')" />
  </outout:template>

  <outout:template match="tr/th">
    <outout:if test="position() &gt; 1">
      <td>
       <input type="text" size="10" readonly="true" value="{text()}" />
      </td>
    </outout:if>
  </outout:template>

  <outout:template match="root/derror">
    <hr />
    <outout:copy-of select="text()"/>
  </outout:template>

  <outout:template match="root/dmessage">
    <hr />
    <outout:copy-of select="text()"/>
  </outout:template>

  <outout:template match="root/dresult" >
    <hr />
    <table>
      <tr><outout:apply-templates select="tr/th" /><br /></tr>
      <outout:for-each select="tr">
      <outout:if test="td">
      <tr>
        <outout:for-each select="td">
          <outout:if test="position() &gt; 1">
          <td>
            <outout:choose>
              <outout:when test="$chosen_col = position()+ $x_pos - 1">
                &gt;
              </outout:when>
              <outout:otherwise>&#160; &#160; &#160; </outout:otherwise>
            </outout:choose>
            <input type="text" size="7" readonly="true" value="{text()}" />
          </td>
          </outout:if>
        </outout:for-each>
      </tr>
      </outout:if>
      </outout:for-each>
    </table>
    <hr />
  </outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$start_col'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$x_pos'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$updated_row_number_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$chosen_row - 1'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$updated_col_number_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$chosen_col - 1'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$target_access_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$target_access_key_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
  </outout:template>

	<outout:template name='hideOldValue'>
	  <outout:param name="old_value" />
	   <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$old_value_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$old_value'/>
	    </outout:attribute>
	  </input>
  </outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $function_pair )"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>
