<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = results
 *
 *  Function: displays tabular results
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  02/Jan/24 Initial Version                                       @f206514
 *  02/Feb/17 Add persistant data                                   @d211838hab
 *  02/Mar/21 Add bread crumb trail support                         @d221874cmw
 *  02/Mar/30 Add documentation & handle primary keys               @d223375hab
 *  02/Apr/08 Add target access key param                           @d223561hab
 *  02/Apr/16 Correct ok button event, and display update links     @d227752hab
 *  02/May/17 Fix logic to display downward arrow                   @d234228hab
 *  02/Oct/28 Meet accessibility requirements                       @d221810hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%*
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output omit-xml-declaration="yes" method="xml"/>

  <!-- PARAMETER DECLARATION AREA -->
  <outout:param name="breadcrumbs" />

  <outout:param name="ccwa_results_operation" />
  <outout:param name="ccwa_results_return" />
  <outout:param name="ccwa_results_back" />
  <outout:param name="ccwa_results_forward" />
  <outout:param name="ccwa_results_page_up" />
  <outout:param name="ccwa_results_page_down" />
  <outout:param name="ccwa_results_view_page" />
  <outout:param name="ccwa_results_ok" />
  <outout:param name="ccwa_results_pages" />
  <outout:param name="ccwa_results_query_returned" />
  <outout:param name="ccwa_results_configure" />

  <outout:param name="curr_page" /> <!-- the current page number -->
  <outout:param name="pages_value" /> <!-- the total number of pages available -->
  <outout:param name="x_pos" select="'1'" /> <!-- start column -->
  <outout:param name="y_pos" select="'1'" /> <!-- start row -->
  <outout:param name="num_rows" select="'10'" /><!-- total number of rows available in the table -->
  <outout:param name="num_cols" select="'5'" /> <!-- total number of cols available in the table -->
  <outout:param name="percent" /> <!-- equal to 90/num_cols -->
  <outout:param name="cols_displayed" /> <!-- actual number of cols displayed -->
  <outout:param name="rows_displayed" /> <!-- actual number of rows displayed -->

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name="row_param" />
  <outout:param name="col_param" />
  <outout:param name="page_number" />
  <outout:param name="max_pages" />
  <outout:param name="current_page_param" />
  <outout:param name="total_cols_param" />
  <outout:param name="start_row" />
  <outout:param name="start_col" />

  <!-- EVENTS -->
  <!-- "return" -->
  <!-- "config_results" -->
  <!-- "back" -->
  <!-- "forward" -->
  <!-- "page_up" -->
  <!-- "page_down" -->
  <!-- "ok" -->
  <!-- "update" -->

  <!-- Start of rule to match on root -->

  <outout:template match="/">
    <body link="#000000" alink="#000000" vlink="#000000" bgcolor="#FFFFFF" text="#000000" leftmargin="0" rightmargin="0" topmargin="0" marginwidth="0" marginheight="0">
      <form name="form1" method="post" action="{$req_uri_param}">
        <table width="100%" border="0" cellspacing="3" cellpadding="0">
          <tr valign="top">
            <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="20" height="40"/></td>
            <td width="100%"><b><font size="2" color="#000000">
              <outout:call-template name="form_bctrail" >
                <outout:with-param name="string">
                  <outout:value-of select="$breadcrumbs" />
                </outout:with-param>
              </outout:call-template>
              </font></b><br/><img src="../imgs/transDot.gif" alt="" height="1" width="763"/>
            </td>
            <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="5" height="20"/></td>
          </tr>
          <tr>
            <td><img src="../imgs/transDot.gif" alt="" width="1" height="150"/></td>
            <td bgcolor="#000066">
              <table width="100%" border="0" cellspacing="2" cellpadding="0" height="100%">
                <tr>
                  <td>
                    <table width="600" border="0" cellspacing="0" cellpadding="0">
            	        <tr>
       	        		    <td bgcolor="#CCCCCC"><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
        				        <td bgcolor="#000066"><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
                				<td bgcolor="#000066"><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
                			</tr>
                			<tr>
    		          	    <td align="center" bgcolor="#CCCCCC" nowrap="true"><font size="2"><b>
                          <outout:value-of select="$ccwa_results_operation" />
                          </b></font>
                        </td>
                				<td align="center" bgcolor="#000066" nowrap="true">
                          <img src="../imgs/transDot.gif" alt="" width="75" height="1"/>
                          <a>
                      			<outout:call-template name="queryString">
            	          			<outout:with-param name="event">
                                <outout:value-of select="'return'" />
                            	</outout:with-param>
          	            		</outout:call-template>
                            <font color="#FFFFFF" size="2" face="Arial, Helvetica, sans-serif">&lt;&lt;
                              <outout:value-of select="$ccwa_results_return" />
                            </font>
                          </a>
                          <img src="../imgs/transDot.gif" alt="" width="75" height="1"/>
                          <font face="Arial, Helvetica, sans-serif" size="2" color="#FFFFFF">|</font>
                        </td>
                				<td align="center" bgcolor="#000066" nowrap="true">
                          <img src="../imgs/transDot.gif" alt="" width="75" height="1"/>
                          <a>
                      			<outout:call-template name="queryString">
              	        			<outout:with-param name="event">
                                <outout:value-of select="'config_results'" />
                            	</outout:with-param>
          	            		</outout:call-template>
                            <font color="#FFFFFF" size="2" face="Arial, Helvetica, sans-serif">
                              <outout:value-of select="$ccwa_results_configure" />
                            </font>
                          </a>
                          <img src="../imgs/transDot.gif" alt="" width="75" height="1"/>
                          <font face="Arial, Helvetica, sans-serif" size="2" color="#FFFFFF">|</font>
                        </td>
                			</tr>
    		            </table>
                  </td>
                  <td width="99%"/>
                </tr>
                <tr>
                  <td colspan="2" bgcolor="#FFFFFF">
                    <table width="100%" border="0" cellpadding="10">
                      <tr>
                        <td width="100%" valign="middle">
                          <table width="100%" border="0" cellspacing="3" cellpadding="0" align="center" height="100%">
                            <outout:apply-templates select="root/dmessage" />
                            <outout:apply-templates select="root/derror" />
                            <tr>
                              <td align="center">
                                <outout:attribute name="colspan">
                                  <outout:value-of select="$cols_displayed+1" />
                                </outout:attribute>
                                <table width="100%" border="0" cellspacing="5" cellpadding="0" align="center">
                                  <tr>
                                    <td nowrap="true" align="center"><font size="2"><b>
                                      <outout:value-of select="$ccwa_results_query_returned" />
                                      </b></font>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                            <tr>
                              <td nowrap="true">
                                <outout:attribute name="colspan">
                                  <outout:value-of select="$cols_displayed" />
                                </outout:attribute>
                                <!-- don't display the Back link if we're in the first page of columns -->
                                <outout:if test="$x_pos &gt; 1" >
                                  <img src="../imgs/arrow_left.gif" alt="" width="11" height="11"/>
                                  <a>
                              			<outout:call-template name="queryString">
                              				<outout:with-param name="event">
                                        <outout:value-of select="'back'" />
                                    	</outout:with-param>
                              			</outout:call-template>
                                    <font size="2" color="#000000"><b>
                                      <outout:value-of select="$ccwa_results_back" />
                                    </b></font>
                                  </a>
                                </outout:if>
                              </td>
                              <td align="right" nowrap="true">
                                <!-- don't display forward link if we're at the end of the columns -->
                                <!-- add cols_displayed to x_pos. If sum is less than num_cols, don't display Forward link -->
                                <outout:if test="$x_pos+$cols_displayed &lt;= $num_cols" >
                                  <a>
                              			<outout:call-template name="queryString">
                              				<outout:with-param name="event">
                                        <outout:value-of select="'forward'" />
                                    	</outout:with-param>
                              			</outout:call-template>
                                    <font size="2" color="#000000"><b>
                                      <outout:value-of select="$ccwa_results_forward" />
                                    </b></font>
                                  </a>
                                  <img src="../imgs/arrow_right.gif" width="11" height="11" alt="" border="0"/>
                                </outout:if>
                              </td>
                            </tr>
                            <outout:apply-templates select="root/dresult" />
                            <tr>
                              <td nowrap="true">
                                <outout:attribute name="colspan">
                                  <outout:value-of select="$cols_displayed" />
                                </outout:attribute>
                               <outout:if test="$y_pos &gt; 1" >
                                 <img src="../imgs/arrow_up.gif" alt="" width="11" height="11"/>&#160;
                                 <a>
                            			 <outout:call-template name="queryString">
                           				   <outout:with-param name="event">
                                       <outout:value-of select="'page_up'" />
                                     </outout:with-param>
                            			 </outout:call-template>

                                  <font size="2" color="#000000"><b>
                                    <outout:value-of select="$ccwa_results_page_up" />
                                  </b></font>
                                </a>
                              </outout:if>
                            </td>
                            <td align="right" nowrap="true">
                              <outout:if test="$y_pos+$rows_displayed &lt;= $num_rows" >
                                <a>
                             			<outout:call-template name="queryString">
          				                  <outout:with-param name="event">
                                      <outout:value-of select="'page_down'" />
                	                  </outout:with-param>
                            			</outout:call-template>

                                  <font size="2" color="#000000"><b>
                                    <outout:value-of select="$ccwa_results_page_down" />&#160;
                                  </b></font>
                                </a>
                                <img src="../imgs/arrow_down.gif" width="11" height="11" alt="" border="0"/>
                              </outout:if>
                            </td>
                          </tr>
                          <tr>
                            <td nowrap="true">
                              <outout:attribute name="colspan">
                                <outout:value-of select="$cols_displayed + 1" />
                              </outout:attribute>
                              &#160;
                            </td>
                          </tr>
                          <tr>
                            <td nowrap="true">
                              <outout:attribute name="colspan">
                                <outout:value-of select="$cols_displayed + 1" />
                              </outout:attribute>
                              <font size="2"><b>
                                <outout:value-of select="$ccwa_results_pages" />&#160;
                              </b></font>
                              <font size="2"> <outout:value-of select="$pages_value" /></font>
                                <!-- if there is only one page to display, then don't display view page text box/button-->
                                <outout:if test="$pages_value &gt; 1" > |
                              <font size="2"><b>
                              <label for="pageNumber">
                                <outout:value-of select="$ccwa_results_view_page" />&#160;
                                </label>
                              </b></font>
                              <input type="text" id="pageNumber" name="{$page_number}" size="5" >
                                <outout:attribute name="value">
                                  <outout:value-of select="$curr_page" />
                                </outout:attribute>
                              </input>

                                  <img src="../imgs/transDot.gif" width="5" height="1" alt="" border="0" />
                                  <input type="submit" name="okBtn" size="2">
                                    <outout:attribute name="value">
                                      <outout:value-of select="$ccwa_results_ok"/>
                                    </outout:attribute>
                                  </input>&#160;
                                  <outout:call-template name='makeStandardHiddenFields'>
                                    <outout:with-param name='event' select="'ok'" />
                                  </outout:call-template>
                                  <outout:call-template name='makeHiddenFields' />
                                </outout:if>
                              </td>
                            </tr>
                          </table>
      				          </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
            <td>&#160;</td>
          </tr>
        </table>
      </form>
    </body>
  </outout:template>

  <outout:template match="root/dmessage">
    <font size="2" color="#FF0000">
      <outout:copy-of select="text()"/>
    </font>
  </outout:template>

  <outout:template match="root/derror">
    <font size="2" color="#FF0000">
      <outout:copy-of select="text()"/>
    </font>
  </outout:template>

  <!-- this rule handles the column heading display -->
  <outout:template match="root/dresult/tr/th">
    <outout:choose>
      <outout:when test="position()=1">
        <th bgcolor="#006699" width="60">
          <outout:copy-of select="text()" />
        </th>
      </outout:when>
      <outout:otherwise>
        <th bgcolor="#006699" align="center">
          <outout:attribute name="width">
            <outout:value-of select="concat($percent,'%')" />
          </outout:attribute>
          <b>
            <font color="#FFFFFF" size="2">
              <outout:copy-of select="text()"/>
            </font>
          </b>
        </th>
      </outout:otherwise>
    </outout:choose>
  </outout:template>

  <!-- display everything you find, the java end has to worry about what to place in dresult -->
  <outout:template match="root/dresult/tr">
    <outout:variable name="row_number" select="position()-1" />
    <outout:choose>
      <outout:when test="td">
        <tr>
          <outout:for-each select="td">
            <outout:choose>
              <!-- display row number -->
              <outout:when test="position()=1" >
                <td bgcolor="#006699" width="60" align="center">
                  <b><font color="#FFFFFF" size="2">
                    <outout:copy-of select="text()"/>
                  </font></b>
                </td>
              </outout:when>
              <outout:otherwise>
                <!-- display other fields -->
                <outout:choose>
                  <outout:when test="@readonly">
                    <td bgcolor="#CCDDEE">
                      <outout:copy-of select="text()|*"/>
                    </td>
                  </outout:when>
                  <outout:otherwise>
                    <td bgcolor="#CCDDEE">
                      <a>
                        <outout:call-template name="linkString">
                          <outout:with-param name="event">
                            <outout:value-of select="'update'" />
                          </outout:with-param>
                          <outout:with-param name="row_num">
                            <outout:value-of select="$row_number" />
                          </outout:with-param>
                          <outout:with-param name="col_num">
                            <outout:value-of select="position()-1" />
                          </outout:with-param>
                        </outout:call-template>
                        <outout:copy-of select="text()"/>
                      </a>
                    </td>
                  </outout:otherwise>
                </outout:choose>
              </outout:otherwise>
            </outout:choose>
          </outout:for-each>
        </tr>
      </outout:when>
    </outout:choose>
  </outout:template>

  <outout:template match="root/dresult">
    <tr>
      <outout:apply-templates select="/root/dresult/tr/th" />
    </tr>
    <outout:apply-templates select="/root/dresult/tr" />
  </outout:template>

	<outout:template name='queryString'>
	  <outout:param name='event'/>

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='curr_page_pair'>
      <outout:value-of select="concat( '&amp;', $current_page_param, '=', $curr_page )" />
    </outout:variable>
    <outout:variable name='total_pages_pair'>
      <outout:value-of select="concat( '&amp;', $max_pages, '=', $pages_value )" />
    </outout:variable>
    <outout:variable name='total_cols_pair'>
      <outout:value-of select="concat( '&amp;', $total_cols_param, '=', $num_cols )" />
    </outout:variable>
    <outout:variable name='start_row_pair'>
      <outout:value-of select="concat( '&amp;', $start_row, '=', $y_pos )" />
    </outout:variable>
    <outout:variable name='start_col_pair'>
      <outout:value-of select="concat( '&amp;', $start_col, '=', $x_pos )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $start_row_pair, $start_col_pair, $total_cols_pair, $total_pages_pair, $curr_page_pair, $function_pair, $target_pair )"/>
	  </outout:attribute>
	</outout:template>

	<outout:template name='linkString'>
	  <outout:param name='event'/>
	  <outout:param name='row_num' />
	  <outout:param name='col_num' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='row_pair'>
      <outout:value-of select="concat( '&amp;', $row_param, '=', $row_num + $y_pos - 1 )" />
    </outout:variable>
    <outout:variable name='col_pair'>
      <outout:value-of select="concat( '&amp;', $col_param, '=', $col_num + $x_pos - 1 )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='start_row_pair'>
      <outout:value-of select="concat( '&amp;', $start_row, '=', $y_pos )" />
    </outout:variable>
    <outout:variable name='start_col_pair'>
      <outout:value-of select="concat( '&amp;', $start_col, '=', $x_pos )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $start_row_pair, $start_col_pair, $row_pair, $col_pair, $function_pair, $target_pair )"/>
	  </outout:attribute>
	</outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
	</outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$max_pages'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$pages_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$target_access_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$target_access_key_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
  </outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $function_pair )"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>





