<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name =   (%W%)
 *
 *  Descriptive Name = results update
 *
 *  Function: displays the update results page
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE      DESCRIPTION                                          S&D Code
 *  02/May/21  Added documentation block                            @d231712hab
 *  02/Jun/13  Remove rollback btn until rollback_switch is on      @d239217hab
 *  02/Oct/28 Meet accessibility requirements                       @d221810hab
 *  ===========================================================================
 *
 *  Last Changed = %E% %U%
 *
 ************************************************************************** -->
 <outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output omit-xml-declaration="yes" method="xml"/>

  <!-- PARAMETER DECLARATION AREA -->
  <outout:param name="breadcrumbs" />

  <outout:param name="ccwa_results_update_operation" />
  <outout:param name="ccwa_results_update_return" />
  <outout:param name="ccwa_results_update_rollback" />
  <outout:param name="ccwa_results_update_update" />
  <outout:param name="ccwa_results_update_new_value" />

  <outout:param name="rollback_switch" select="'off'" />
  <outout:param name="displayed_cols" /> <!-- this is the number of columns to display -->
  <outout:param name="chosen_row" /> <!-- this is the row number to display on the leftmost cell -->
  <outout:param name="percent" /> <!-- this value equal to approx.  90/num_cols -->
  <outout:param name="chosen_col" /> <!-- this value is the one to be updated -->

  <outout:param name="updated_row_number_key" />
  <outout:param name="updated_col_number_key" />
  <outout:param name="new_value_key" />
  <outout:param name="start_col" /> <!-- start column key -->
  <outout:param name="x_pos" /> <!-- start column value -->
  <outout:param name="old_value_key" /> <!-- used to hold the old value of the field -->

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <!-- target_access_key is used to uniquely identify the requested target access -->
  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <!-- EVENTS -->
  <!-- "btnClick" -->
  <!-- "return"   -->

  <!-- Start of rule to match on root -->

  <outout:template match="/">
    <body link="#000000" alink="#000000" vlink="#000000" bgcolor="#FFFFFF" text="#000000" leftmargin="0" rightmargin="0" topmargin="0" marginwidth="0" marginheight="0">
      <table width="100%" border="0" cellspacing="3" cellpadding="0">
        <tr valign="top">
          <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="20" height="40"/></td>
          <td width="100%"><b><font size="2" color="#000000">
              <outout:call-template name="form_bctrail" >
                <outout:with-param name="string">
                  <outout:value-of select="$breadcrumbs" />
                </outout:with-param>
              </outout:call-template>
            </font></b>
            <br/><img src="../imgs/transDot.gif" alt="" height="1" width="763"/>
          </td>
          <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="5" height="20"/></td>
        </tr>
        <tr>
          <td><img src="../imgs/transDot.gif" alt="" width="1" height="150"/></td>
          <td bgcolor="#000066">
            <table width="100%" border="0" cellspacing="2" cellpadding="0" height="100%">
            <tr>
              <td>
                <table width="600" border="0" cellspacing="0" cellpadding="0">
  	              <tr>
  			            <td bgcolor="#CCCCCC"><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
  				          <td bgcolor="#000066"><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
  			          </tr>
  			          <tr>
  			            <td align="center" bgcolor="#CCCCCC" nowrap="true"><font size="2"><b>
                      <outout:value-of select="$ccwa_results_update_operation" />
                      </b></font>
                    </td>
  				          <td align="center" bgcolor="#000066" nowrap="true"><img src="../imgs/transDot.gif" alt="" width="75" height="1"/>
                      <a>
                  			<outout:call-template name="queryString">
        	          			<outout:with-param name="event">
                            <outout:value-of select="'return'" />
                        	</outout:with-param>
      	            		</outout:call-template>
                        <font color="#FFFFFF" size="2" face="Arial, Helvetica, sans-serif">&lt;&lt;
                          <outout:value-of select="$ccwa_results_update_return" />
                        </font>
                      </a>
                      <img src="../imgs/transDot.gif" alt="" width="75" height="1"/>
                      <font face="Arial, Helvetica, sans-serif" size="2" color="#FFFFFF">|</font>
                    </td>
  				          <td align="center" bgcolor="#000066" nowrap="true">
  				            <img src="../imgs/transDot.gif" alt="" width="75" height="1"/>
  				            <a href="#">
                        <font color="#FFFFFF" size="2" face="Arial, Helvetica, sans-serif"/>
                      </a>
                      <img src="../imgs/transDot.gif" alt="" width="75" height="1"/>
                      <font face="Arial, Helvetica, sans-serif" size="2" color="#FFFFFF"/>
                    </td>
  			          </tr>
  		          </table>
              </td>
              <td width="99%"/>
            </tr>
            <tr>
              <td colspan="2" bgcolor="#FFFFFF">
                <table width="100%" border="0" cellpadding="10">
                  <outout:apply-templates select="root/derror" />
                  <outout:apply-templates select="root/dmessage" />
                  <tr>
                    <td width="100%" valign="middle">
  				            <form name="form1" method="post" action="{$req_uri_param}">
                        <table width="100%" height="100%" border="0" cellspacing="3" cellpadding="0" align="center">
                          <outout:apply-templates select="root/dresult" />
                          <tr>
  					 	              <td nowrap="true">
                              <outout:attribute name="colspan">
                                <outout:value-of select="$displayed_cols" />
                              </outout:attribute>
                              <img src="../imgs/transDot.gif" alt="" width="1" height="10"/>
                              <br/>
                              <b><font size="2">
                                <outout:value-of select="$ccwa_results_update_new_value" />
                              </font></b><br/>
                              <input type="text" name="{$new_value_key}" size="32"/>
                              <img src="../imgs/transDot.gif" width="5" height="1" alt="" border="0" />
                              <input type="submit" name="updateBtn">
                                <outout:attribute name="value">
                                  <outout:value-of select="$ccwa_results_update_update"/>
                                </outout:attribute>
                              </input>
                              <img src="../imgs/transDot.gif" width="5" height="1" alt="" border="0" />
                              <outout:choose>
                                <outout:when test="$rollback_switch='on'">
                                  <input type="submit" name="rollbackBtn">
                                    <outout:attribute name="value">
                                      <outout:value-of select="$ccwa_results_update_rollback"/>
                                    </outout:attribute>
                                  </input>
                                </outout:when>
                              </outout:choose>
                              <br/>
                            </td>
                          </tr>
  				              </table>
                                  <outout:call-template name='makeStandardHiddenFields'>
                                    <outout:with-param name='event' select="'btnClick'" />
                                  </outout:call-template>
                                  <outout:call-template name='makeHiddenFields' />
  				            </form>
  				          </td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </td>
        <td>&#160;</td>
      </tr>
    </table>
  </body>
  </outout:template>

	<outout:template name='queryString'>
	  <outout:param name='event'/>

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $function_pair, $target_pair )"/>
	  </outout:attribute>
	</outout:template>

  <outout:template match="root/dmessage">
    <tr>
      <td>
        <outout:attribute name="colspan">
          <outout:value-of select="$displayed_cols" />
        </outout:attribute>
        <font size="2" color="#FF0000">
          <outout:copy-of select="text()"/>
        </font>
      </td>
    </tr>
  </outout:template>

  <outout:template match="root/derror">
    <tr>
      <td>
        <outout:attribute name="colspan">
          <outout:value-of select="$displayed_cols" />
        </outout:attribute>
        <font size="2" color="#FF0000">
          <outout:copy-of select="text()"/>
        </font>
      </td>
    </tr>
  </outout:template>

  <outout:template match="root/dresult">
    <!-- the first row is used to adjust the width of the fields -->
    <tr>
      <td>
        <outout:attribute name="colspan">
          <outout:value-of select="$displayed_cols" />
        </outout:attribute>
        <img src="../imgs/transDot.gif" width="1" height="10" alt="" border="0"/>
      </td>
    </tr>

    <!-- the second row is to display the column titles -->
    <tr>
      <outout:for-each select="tr/th">
        <outout:choose>
          <outout:when test="position() = 1">
            <th bgcolor="#006699" width="10%">
              <img src="../imgs/transDot.gif" width="60" height="1" alt="" border="0"/>
            </th>
          </outout:when>
          <outout:otherwise>
            <th bgcolor="#006699" align="center">
              <outout:attribute name="width">
                <outout:value-of select="concat($percent,'%')" />
              </outout:attribute>
              <b><font color="#FFFFFF" size="2">
                <outout:copy-of select="text()|@*|*"/>
              </font></b>
            </th>
          </outout:otherwise>
        </outout:choose>
      </outout:for-each>
    </tr>

    <tr>
      <outout:for-each select="tr/td">
        <outout:choose>
          <outout:when test="position() = 1">
            <td bgcolor="#006699" align="center" width="60">
              <b><font color="#FFFFFF" size="2">
                <outout:value-of select="text()|@*|*" />
              </font></b>
            </td>
          </outout:when>
          <outout:when test="$chosen_col = position()+ $x_pos - 1">
            <td bgcolor="#FFFFFF"><b>
              <outout:copy-of select="text()|@*|*"/>
              <outout:call-template name="hideOldValue">
                <outout:with-param name="old_value">
                  <outout:value-of select="text()" />
                </outout:with-param>
              </outout:call-template>
            </b></td>
          </outout:when>
          <outout:otherwise>
            <td bgcolor="#CCDDEE">
              <outout:copy-of select="text()|@*|*"/>
            </td>
          </outout:otherwise>
        </outout:choose>
      </outout:for-each>
    </tr>

    <tr bgcolor="#000000">
      <td>
        <outout:attribute name="colspan">
          <outout:value-of select="$displayed_cols + 1" />
        </outout:attribute>
        <img src="../imgs/transDot.gif" width="1" height="1" alt="" border="0"/>
      </td>
    </tr>
  </outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
	</outout:template>

	<outout:template name='makeHiddenFields'>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$start_col'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$x_pos'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$updated_row_number_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$chosen_row - 1'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$updated_col_number_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$chosen_col - 1'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$target_access_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$target_access_key_value'/>
	    </outout:attribute>
	  </input>
	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$cc_selected_function_param'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$cc_selected_function_value'/>
	    </outout:attribute>
	  </input>
  </outout:template>

	<outout:template name='hideOldValue'>
	  <outout:param name="old_value" />

	  <input type='hidden'>
	    <outout:attribute name='name'>
	      <outout:value-of select='$old_value_key'/>
	    </outout:attribute>
	    <outout:attribute name='value'>
	      <outout:value-of select='$old_value'/>
	    </outout:attribute>
	  </input>
  </outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $target_pair, $function_pair )"/>
	  </outout:attribute>
	</outout:template>
</outout:stylesheet>








