<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name = (%W%)
 *
 *  Descriptive Name = Select Instance stylesheet
 *
 *  Function: displays a screen that displays the last chosen system and
 *            a list of instances which belong to that system. It allows the
 *            user to select one of the instances to login to in a different
 *            screen.
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  02/03/21 Priming of CMVC with first version of code.              @d221333jal
 *  02/03/22 Replace A circumflex (and following space) with &#160;   @d222486jal
 *  02/03/24 Support breadcrumb trails                                @d222736jal
 *  02/04/03 Move button OK down to the same line as button Cancel    @d225055jal
 *  02/07/17 Fix Change System link problem                           @d244017jal
 *  02/Oct/29 Meet accessibility requirements                         @d221810hab
 *  02/12/06 Provide text equivalent for mandatory field indicator    @d263104jal
 *  =============================================================================
 *
 *  Last Changed = %E%  %U%
 *
 ************************************************************************** -->
 <outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output omit-xml-declaration="yes" method="xml"/>

  <!-- PARAMETER DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_choose_instance_operation" />
  <outout:param name="ccwa_choose_instance_system" />
  <outout:param name="ccwa_choose_instance_change_system" />
  <outout:param name="ccwa_choose_instance_instance" />
  <outout:param name="ccwa_choose_instance_ok" />
  <outout:param name="ccwa_choose_instance_cancel" />
  <outout:param name="system_value" />

  <outout:param name="target_access_key" />
  <outout:param name="target_access_key_value" />

  <outout:param name="cc_selected_function_param" />
  <outout:param name="cc_selected_function_value" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name='ok_param'/>
  <outout:param name='cancel_param'/>
  <outout:param name='instance_param'/>
  <outout:param name='MANDATORY_FIELD'/>

  <!-- Start of rule to match on root -->
  <outout:template match="/">

    <body bgcolor="#FFFFFF" text="#000000" leftmargin="0" rightmargin="0" topmargin="0" marginwidth="0" marginheight="0">

    <table width="100%" border="0" cellspacing="3" cellpadding="0">
      <tr valign="top">
        <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="20" height="40"/></td>
        <td width="100%"><b><font size="2" color="#000000">

      <outout:call-template name="form_bctrail" >
        <outout:with-param name="string">
          <outout:value-of select="$breadcrumbs" />
        </outout:with-param>
      </outout:call-template>

    </font></b><br/>
    <img src="../imgs/transDot.gif" alt="" height="1" width="763"/></td>
        <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="5" height="20"/></td>
      </tr>
      <tr>
        <td>&#160;</td>
        <td bgcolor="#000066">
          <table width="100%" border="0" cellspacing="2" cellpadding="0">
            <tr>
              <td>
                <table bgcolor="#CCCCCC" width="150" border="0" cellspacing="0" cellpadding="0">
    	        <tr>
    			    <td><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
    			</tr>
    			<tr>
    			    <td align="center" nowrap="true"><font size="2"><b>
    <outout:value-of select="$ccwa_choose_instance_operation" />
    </b></font></td>
    			</tr>
    		    </table>
    	  	  </td>
    		  <td width="99%"/>
    		 </tr>
             <tr>
              <td colspan="3" bgcolor="#FFFFFF">
                <table width="100%" border="0" cellpadding="10">
                  <tr>
                     <td width="100%" valign="top">

                      <form name="form1" method="post" action="{$req_uri_param}">
                        <table border="0" cellspacing="0" cellpadding="0">
    	<outout:apply-templates  select="root/dmessage" />
                          <tr>
                            <td>
                              <b><font size="2">
    <outout:value-of select="$ccwa_choose_instance_system" />
    </font></b>
                            </td>
                          </tr>
                          <tr>
                            <td/><td/>
                          </tr>
                          <tr>
                            <td bgcolor="silver" nowrap="true" width="10%">
                              <b><font size="2">
    <outout:value-of select="$system_value" />
                              <img src="../imgs/transDot.gif" alt="" width="5" height="1"/>
                              </font></b>
                            </td>
                            <td bgcolor="silver" nowrap="true" align="left">
                              <a>
  			<outout:call-template name="queryString">
  				<outout:with-param name="event">
            <outout:value-of select="'changeSystem'" />
        	</outout:with-param>
  			</outout:call-template>

                              <font size="2" color="#000000">
    <outout:value-of select="$ccwa_choose_instance_change_system" />
    </font></a>&#160;</td>
                            <td width="100%"/>
                          </tr>

                          <tr height="2"><td><img src="../imgs/transDot.gif" alt="" width="10" height="2"/></td></tr>

                          <tr>
                            <td><b><font size="2" color="#FF0000">
    <img src="../imgs/red_asterisk.gif" alt="{$MANDATORY_FIELD}" />
    </font><font size="2">
    <label for="selectInstance">
    <outout:value-of select="$ccwa_choose_instance_instance" />
    </label>
                              </font></b>
                            </td>
                          </tr>
                          <tr><td/><td/></tr>
                          <tr>
                            <td>
                              <select id="selectInstance" name="select">
                                  <outout:attribute name='name'>
                                    <outout:value-of select='$instance_param'/>
                                  </outout:attribute>
    <option selected="true"> </option>
    <option>------------------------------</option>
    <outout:apply-templates select="root/dresult"/>
    </select>&#160;</td>
                            <td>&#160;</td>
                            <td width="100%"/>
                          </tr>
                          <tr height="2">
                            <td><img src="../imgs/transDot.gif" alt="" width="10" height="2"/></td>
                          </tr>

                          <tr>
                            <td>&#160;</td>
                            <td>&#160;</td>
                          </tr>
                          <tr>
                            <td>&#160;</td>
                            <td>&#160;</td>
                          </tr>
                          <tr>
                            <td>&#160;</td>
                            <td>&#160;</td>
                          </tr>
                          <tr>
                            <td>&#160;</td>
                            <td>&#160;</td>
                          </tr>
                          <tr>
                            <td>
    <!--Delete the value attribute manually, and change the param name from ok_btn to whatever-->
    <input type="submit" name="okBtn">
    <outout:attribute name="value">
      <outout:value-of select="$ccwa_choose_instance_ok"/>
    </outout:attribute>
    <outout:attribute name='name'>
      <outout:value-of select='$ok_param'/>
    </outout:attribute>
    </input>

    <img src="../imgs/transDot.gif" width="5" height="1" alt="" border="0" />

    <input type="submit" name="cancelBtn">
      <outout:attribute name="value">
        <outout:value-of select="$ccwa_choose_instance_cancel"/>
      </outout:attribute>
      <outout:attribute name='name'>
        <outout:value-of select='$cancel_param'/>
      </outout:attribute>
    </input>

                          <outout:call-template name='makeStandardHiddenFields'>
                            <outout:with-param name='event' select="'btnClick'" />
                          </outout:call-template>

                            </td>
                            <td>&#160;</td>
                          </tr>
                          <tr>

                          </tr>

    </table>

                      </form>

                    </td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </td>
        <td>&#160;</td>
      </tr>
    </table>

    </body>

  </outout:template>

  <outout:template match="root/dmessage">
    <tr><td><font size="2" color="#FF0000">
    <outout:copy-of select="text()"/>
    </font></td></tr><tr><td>&#160;</td></tr>
  </outout:template>

  <outout:template match="root/derror">
    <tr><td><font size="2" color="#FF0000">
    <outout:copy-of select="text()"/>
    </font></td></tr><tr><td>&#160;</td></tr>
  </outout:template>

  <outout:template match="root/dresult">
    <outout:copy-of select="text()|@*|*"/>
  </outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

	<outout:template name='queryString'>
	  <outout:param name='event'/>

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event)"/>
    </outout:variable>
    <outout:variable name='target_pair'>
      <outout:value-of select="concat( '&amp;', $target_access_key, '=', $target_access_key_value )" />
    </outout:variable>
    <outout:variable name='function_pair'>
      <outout:value-of select="concat( '&amp;', $cc_selected_function_param, '=', $cc_selected_function_value )" />
    </outout:variable>

	  <outout:attribute name='href'>
  	  <outout:value-of select="concat( $standard_params, $function_pair, $target_pair )"/>
	  </outout:attribute>
	</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>

	  <outout:attribute name='href'>
  	  <!-- outout:value-of select="translate( $standard_params, ' ', '+' )"/ -->
  	  <outout:value-of select="$standard_params"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>
