<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name = (%W%)
 *
 *  Descriptive Name = System login stylesheet
 *
 *  Function: displays a screen that allows the user to select a system and
 *            enter login info as well ( user id & password ).
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                              S&D Code
 *  =============================================================================
 *  02/03/21 Priming of CMVC with first version of code.              @d221333jal
 *  02/03/24 Support breadcrumb trails                                @d222736jal
 *  02/04/10 Modify Change Connection screen to avoid duplicate login @d226603jal
 *  02/Oct/29 Meet accessibility requirements                         @d221810hab
 *  02/12/06 Provide text equivalent for mandatory field indicator    @d263104jal
 *  =============================================================================
 *
 *  Last Changed = %E%  %U%
 *
 ************************************************************************** -->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <outout:output method="xml" omit-xml-declaration="yes" />

  <!-- PARAMETER DECLARATION AREA -->
  <outout:param name="breadcrumbs" />
  <outout:param name="ccwa_login_system_operation" />
  <outout:param name="ccwa_login_system_uid_prompt" />
  <outout:param name="ccwa_login_system_userid" />
  <outout:param name="ccwa_login_system_password" />
  <outout:param name="ccwa_login_system_system" />
  <outout:param name="ccwa_login_system_ok" />
  <outout:param name="ccwa_login_system_cancel" />

  <outout:param name="req_uri_param" />
  <outout:param name="sid_param" />
  <outout:param name="cs_param"  />
  <outout:param name="event_param" />
  <outout:param name="cs_value" />
  <outout:param name="sid_value" />

  <outout:param name='ok_param'/>
  <outout:param name='cancel_param'/>
  <outout:param name='system_param'/>
  <outout:param name='userid_param'/>
  <outout:param name='password_param'/>
  <outout:param name='pre_selected_system'/>
  <outout:param name='MANDATORY_FIELD'/>


  <!-- Start of rule to match on root -->
  <outout:template match="/">

    <body bgcolor="#FFFFFF" text="#000000" leftmargin="0" rightmargin="0" topmargin="0" marginwidth="0" marginheight="0">

      <table width="100%" border="0" cellspacing="3" cellpadding="0">
        <tr valign="top">
          <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="20" height="40"/></td>
          <td width="100%"><b><font size="2" color="#000000">

      <outout:call-template name="form_bctrail" >
        <outout:with-param name="string">
          <outout:value-of select="$breadcrumbs" />
        </outout:with-param>
      </outout:call-template>

      </font></b><br/><img src="../imgs/transDot.gif" alt="" height="1" width="763"/></td>
          <td width="5" height="20"><img src="../imgs/transDot.gif" alt="" width="5" height="20"/></td>
        </tr>
        <tr>
          <td/>
          <td bgcolor="#000066">
            <table width="100%" border="0" cellspacing="2" cellpadding="0">
              <tr>
                <td>
                  <table bgcolor="#CCCCCC" width="150" border="0" cellspacing="0" cellpadding="0">
      	        <tr>
      			    <td><img src="../imgs/transDot.gif" alt="" width="150" height="1"/></td>
      			</tr>
      			<tr>
      			    <td align="center" nowrap="true"><font size="2"><b>
      <outout:value-of select="$ccwa_login_system_operation" />
      </b></font></td>
      			</tr>
      		    </table>
      	  	  </td>
      		  <td width="99%"/>
      		 </tr>
               <tr>
                <td colspan="2" bgcolor="#FFFFFF">
                  <table width="100%" border="0" cellpadding="10">

                    <tr>
                       <td width="100%" valign="top">

                        <form name="form" method="post" action="{$req_uri_param}">
                          <table width="100%" cellspacing="3" cellpadding="0">
      						          <tr><font size="2" color="#FF0000">
                                  <outout:apply-templates select="root/dmessage"/>
                                  <outout:apply-templates select="root/derror"/>
                            </font><br /></tr>
                            <tr>
                              <td><b><font size="2" color="#FF0000">
      <img src="../imgs/red_asterisk.gif" alt="{$MANDATORY_FIELD}" />
      </font>
                                <font size="2">
                                <label for="selectSystem">
      <outout:value-of select="$ccwa_login_system_system" /></label></font></b>
                                <br/>

                                <outout:choose>
                                  <outout:when test='$pre_selected_system=""'>
                                    <select id="selectSystem" name="select">
                                      <outout:attribute name='name'>
                                        <outout:value-of select='$system_param'/>
                                      </outout:attribute>

                                      <!-- this will always default to the blank space -->
                                      <option selected="true"> </option>
                                      <option>------------------------------</option>
                                      <outout:apply-templates select="root/dresult" />
                                    </select>
                                  </outout:when>
                                  <outout:otherwise>
                                    <select id="selectSystem" name="select">
                                      <outout:attribute name='name'>
                                        <outout:value-of select='$system_param'/>
                                      </outout:attribute>

                                      <option selected="true"><outout:value-of select='$pre_selected_system'/></option>
                                      <option>------------------------------</option>
                                    </select>
                                  </outout:otherwise>
                                </outout:choose>

                              </td>
                            </tr>
                            <tr>
                              <td><img src="../imgs/transDot.gif" alt="" width="1" height="80"/></td>
                            </tr>
                            <tr>
                              <td><font size="2"><b>
      <outout:value-of select="$ccwa_login_system_uid_prompt" />
      </b></font></td>
                            </tr>
                            <tr>
                              <td><b><font size="2" color="#FF0000">
      <img src="../imgs/red_asterisk.gif" alt="{$MANDATORY_FIELD}" />
      </font><font size="2">
      <label for="userid">
      <outout:value-of select="$ccwa_login_system_userid" />
      </label>
      </font></b><br/>
                                <input type="text" name="userid" size="32" id="userid">
                                  <outout:attribute name='name'>
                                    <outout:value-of select='$userid_param'/>
                                  </outout:attribute>
                                </input>
                              </td>
                            </tr>
                            <tr>
                              <td><b><font size="2" color="#FF0000"><img src="../imgs/red_asterisk.gif" alt="{$MANDATORY_FIELD}"  />
      </font><font size="2"><label for="password">
                                <outout:value-of select="$ccwa_login_system_password" />
                                </label>
                                </font></b><br/>
                                <input type="password" name="password" size="32" id="password">
                                  <outout:attribute name='name'>
                                    <outout:value-of select='$password_param'/>
                                  </outout:attribute>
                                </input>
                              </td>
                            </tr>
                            <tr>
                              <td><br/></td>
                            </tr>
                            <tr>
                              <td>

      <input type="submit" name="okBtn" >
                                  <outout:attribute name="value">
                                    <outout:value-of select="$ccwa_login_system_ok" />
                                  </outout:attribute>
                                  <outout:attribute name='name'>
                                    <outout:value-of select='$ok_param'/>
                                  </outout:attribute>
                                </input>
      <img src="../imgs/transDot.gif" width="5" height="1" alt="" border="0" />
      <input type="submit" name="cancelBtn" >
                                  <outout:attribute name="value">
                                    <outout:value-of select="$ccwa_login_system_cancel" />
                                  </outout:attribute>
                                  <outout:attribute name='name'>
                                    <outout:value-of select='$cancel_param'/>
                                  </outout:attribute>
                                </input>
                                <outout:call-template name='makeStandardHiddenFields'>
                                  <outout:with-param name='event' select="'btnClick'" />
                                </outout:call-template>

                              </td>
                            </tr>
                            <tr>
                              <td><br/></td>
                            </tr>
                          </table>
                        </form>

                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
          <td/>
        </tr>
      </table>

    </body>

  </outout:template>

  <outout:template match="root/derror">
    <outout:copy-of select="text()|@*|*"/>
  </outout:template>

  <outout:template match="root/dmessage">
    <outout:copy-of select="text()|@*|*"/>
  </outout:template>

  <outout:template match="root/dresult">
    <outout:copy-of select="text()|@*|*"/>
  </outout:template>

  <outout:template name='makeStandardHiddenFields'>
    <outout:param name='event'/>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$cs_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$cs_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$sid_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$sid_value'/>
      </outout:attribute>
    </input>
    <input type='hidden'>
      <outout:attribute name='name'>
        <outout:value-of select='$event_param'/>
      </outout:attribute>
      <outout:attribute name='value'>
        <outout:value-of select='$event'/>
      </outout:attribute>
    </input>
  </outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>

	  <outout:attribute name='href'>
  	  <!-- outout:value-of select="translate( $standard_params, ' ', '+' )"/ -->
  	  <outout:value-of select="$standard_params"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>