<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name = (%W%)
 *
 *  Descriptive Name = Specific Description/History, Desktop/Laptop
 *
 *  Function: This file will render the Specific Alert Description &
 *            History screen for non-PDA browsers.
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  01/11/06 Initial Version                                          @
 *  02/03/09 Display alarm/warning threshold values                   @d217545jal
 *  02/03/11 Relocate Addition Information section                    @d219057jal
 *  02/03/17 Fix icon display                                         @d219061jal
 *  02/03/22 Replace A circumflex (and following space) with &#160;   @d222486jal
 *  02/03/24 Support breadcrumb trails                                @d222736jal
 *  02/Oct/29 Meet accessibility requirements                         @d221810hab
 *  02/11/28 LI1946: Improve unit handling                            @d262134jal
 *  03/01/19 Use <th> tags for all table headers                      @d266911jal
 *  =============================================================================
 *
 *  Last Changed = %E%  %U%
 *
 ************************************************************************** -->
<!--
<comment class='stylesheet'>
  <desc>Renders the Alert Description/History screen on non-PDA browsers.</desc>
  <param>
    <name>cs_value</name>
    <desc>The ID of the current state</desc>
  </param>
  <param>
    <name>sid_value</name>
    <desc>The user's session ID</desc>
  </param>
  <param>
    <name>event_param</name>
    <desc>The string used to identify the "event" which a link represents</desc>
  </param>
  <param>
    <name>data_param</name>
    <desc>The string used to identify additional data relating to the event</desc>
  </param>
  <param>
    <name>cs_param</name>
    <desc>The string used to identify the data given in cs_value</desc>
  </param>
  <param>
    <name>sid_param</name>
    <desc>The string used to identify the data given in sid_value</desc>
  </param>
  <param>
    <name>req_uri_param</name>
    <desc>The path from the servlet root to the Portal servlet.</desc>
  </param>
  <param>
    <name>timestamp_value</name>
    <desc>The timestamp of the current alert.</desc>
  </param>
  <param>
    <name>computation</name>
    <desc>The equation by which the value of the alert is calculated.</desc>
  </param>
  <param>
    <name>descText</name>
    <desc>The description of the alert.</desc>
  </param>
  <param>
    <name>alertName</name>
    <desc>The name of the current Health Indicator.</desc>
  </param>
  <param>
    <name>add_info_text</name>
    <desc>Any additional alert info.</desc>
  </param>
  <param>
    <name>object_type_value</name>
    <desc>The type of the object on which the alert is active.</desc>
  </param>
  <param>
    <name>object_name_value</name>
    <desc>The name of the object on which the alert is active.</desc>
  </param>
  <param>
    <name>category_value</name>
    <desc>The category of the alert.</desc>
  </param>
  <param>
    <name>timestamp_value</name>
    <desc>The timestamp of the alert.</desc>
  </param>
  <param>
    <name>TIMESTAMP_POSITION</name>
    <desc>The column index of timestamp data.</desc>
  </param>
  <param>
    <name>value_value</name>
    <desc>The value of the alert.</desc>
  </param>
  <param>
    <name>spec_rec_param</name>
    <desc>Query string data parameter denoting a request for alert recommendations</desc>
  </param>
  <param>
    <name>current_alerts_param</name>
    <desc>Query string data parameter denoting a request for the current alerts list.</desc>
  </param>
  <param>
    <name>dest_event</name>
    <desc>Query string event parameter denoting a request to move into another state</desc>
  </param>
  <param>
    <name>ALERT</name>
    <desc>The "Alert" status string. Used to add the correct graphic to the description header.</desc>
  </param>
  <param>
    <name>WARNING</name>
    <desc>The "Warning" status string. Used to add the correct graphic to the description header.</desc>
  </param>
  <param>
    <name>ATTENTION</name>
    <desc>The "Attention" status string. Used to add the correct graphic to the description header.</desc>
  </param>
  <param>
    <name>alertType</name>
    <desc>The status of the alert. Used to add the correct graphic to the description header.</desc>
  </param>
  <param>
    <name>alarmThreshold</name>
    <desc>The alarm threshold</desc>
  </param>
  <param>
    <name>warningThreshold</name>
    <desc>The warning threshold</desc>
  </param>
  <param>
    <name>All Other Params</name>
    <desc>NLV Strings</desc>
  </param>
</comment>
-->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
<outout:output method="xml" indent="no" omit-xml-declaration="yes"/>

<outout:param name="breadcrumbs" />
<outout:param name='cs_value'/>
<outout:param name='sid_value'/>
<outout:param name='event_param'/>
<outout:param name='data_param'/>
<outout:param name='cs_param'/>
<outout:param name='sid_param'/>
<outout:param name='req_uri_param'/>

<outout:param name='HCWA_DESK_SPEC_HIST_BACK_ALERTS'/>
<outout:param name='HCWA_DESK_SPEC_HIST_RECOMMENDATION'/>
<outout:param name='HCWA_DESK_SPEC_HIST_HISTORY_TITLE'/>
<outout:param name='HCWA_DESK_SPEC_HIST_REC_TITLE'/>
<outout:param name='HCWA_DESK_SPEC_HIST_TIMESTAMP'/>
<outout:param name='HCWA_DESK_SPEC_HIST_VALUE'/>
<outout:param name='HCWA_DESK_SPEC_HIST_FORMULA'/>
<outout:param name='desc_header'/>
<outout:param name='TIMESTAMP'/>
<outout:param name='ALARM_THRESHOLD'/>
<outout:param name='WARNING_THRESHOLD'/>
<outout:param name='VALUE'/>
<outout:param name='CATEGORY'/>
<outout:param name='OBJECT_NAME'/>
<outout:param name='OBJECT_TYPE'/>
<outout:param name='PARTITION'/>
<outout:param name='ADD_INFO_HEADER'/>

<outout:param name='TIMESTAMP_POSITION'/>

<outout:param name='alertType'/>
<outout:param name='ALARM'/>
<outout:param name='WARNING'/>
<outout:param name='ATTENTION'/>

<outout:param name='computation'/>
<outout:param name='descText'/>
<outout:param name='add_info_text'/>
<outout:param name='object_type_value'/>
<outout:param name='object_name_value'/>
<outout:param name='partition_value'/>
<outout:param name='category_value'/>
<outout:param name='timestamp_value'/>
<outout:param name='value_value'/>

<outout:param name='alertName'/>

<outout:param name='dest_event'/>
<outout:param name='curr_alerts_param'/>
<outout:param name='spec_rec_param'/>
<outout:param name='alarmThreshold'/>
<outout:param name='warningThreshold'/>
<outout:param name='unit'/>

<outout:template match="/">
<body marginheight="0" marginwidth="0" topmargin="0" rightmargin="0" leftmargin="0" text="#000000" bgcolor="#FFFFFF">
<table width="100%">
<tr>
<td><img src="../imgs/transDot.gif" width="15" alt="" /></td>
<td>
<p><b><font size="2" color="#000000">

<outout:call-template name="form_bctrail" >
<outout:with-param name="string">
<outout:value-of select="$breadcrumbs" />
</outout:with-param>
</outout:call-template>

</font></b></p>
<p align="center">
<font size="2" color="#FF0000"><outout:value-of select='root/derror'/></font>
</p>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td colspan="3" bgcolor="#FFFFFF" height="25" align="left" rowspan="1">
<b>
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'><outout:value-of select='$dest_event'/></outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$curr_alerts_param'/></outout:with-param >
</outout:call-template>
<font size="2" color="#000000">&lt;&lt; <outout:value-of select='$HCWA_DESK_SPEC_HIST_BACK_ALERTS'/></font>
</a>
</b> </td>
<td rowspan="3" width="5%" colspan="1">
<img src="../imgs/transDot.gif" alt="" width="20" height="1"/>
</td>
<td bgcolor="#CCDDEE" rowspan="1" colspan="1">
<img src="../imgs/transDot.gif" alt="" />
</td>
<td width="22%" bgcolor="#CCDDEE" height="25" align="center" rowspan="1" colspan="1">
<b>
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'><outout:value-of select='$dest_event'/></outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$spec_rec_param'/></outout:with-param>
</outout:call-template>
<font size="2" color="#000000">
<outout:value-of select='$HCWA_DESK_SPEC_HIST_REC_TITLE'/>
</font>
</a>
</b>
</td>
<td width="3%" height="25" rowspan="1" colspan="1">&#160;</td>
<td width="22%" bgcolor="#006699" height="25" align="center" rowspan="1" colspan="1">
<b>
<font size="2" color="#FFFFFF"><outout:value-of select='$HCWA_DESK_SPEC_HIST_HISTORY_TITLE'/></font>
</b>
</td>
<td bgcolor="#006699" rowspan="1" colspan="1">&#160;</td>
</tr>

<tr>
<td rowspan="2" bgcolor="#006699" colspan="1">
<img src="../imgs/transDot.gif" alt="" width="4" height="8"/>
</td>
<td width="47%" valign="top" rowspan="1" colspan="1">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr bgcolor="#006699" align="center">
<td colspan="3" height="25" rowspan="1">
<font size="2">
<b>
<font color="#FFFFFF"><outout:value-of select='$alertName'/></font>
</b>
</font>
</td>
</tr>

<tr>
<td rowspan="5" colspan="1">&#160;</td>
<td width="99%" height="30" valign="middle" rowspan="1" colspan="1">
<b>
<font size="2">
<outout:choose>
  <outout:when test='$alertType=$ALARM'><img src='../imgs/tv_hc_alarm_alert.gif' alt="" /></outout:when>
  <outout:when test='$alertType=$WARNING'><img src='../imgs/tv_hc_warning_alert.gif' alt="" /></outout:when>
  <outout:when test='$alertType=$ATTENTION'><img src='../imgs/tv_hc_attention_alert.gif' alt="" /></outout:when>
</outout:choose>
&#160;<outout:value-of select='$desc_header'/>
</font>
</b>
</td>
<td rowspan="5" colspan="1">&#160;</td>
</tr>

<tr>
<td width="99%" height="100" rowspan="1" colspan="1">
<table width="100%" border="0" cellspacing="1" cellpadding="0" bgcolor="#FFFFFF">
<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$OBJECT_TYPE'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$object_type_value'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$OBJECT_NAME'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$object_name_value'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$PARTITION'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$partition_value'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$TIMESTAMP'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$timestamp_value'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$CATEGORY'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$category_value'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$VALUE'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$value_value'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$ALARM_THRESHOLD'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$alarmThreshold'/>
  </font>
</td>
</tr>

<tr bgcolor="#CCDDEE">
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$WARNING_THRESHOLD'/>
  </font>
</td>
<td width="50%" rowspan="1" colspan="1">
  <font size="2" color="#000000">
    <outout:value-of select='$warningThreshold'/>
  </font>
</td>
</tr>
</table>
</td>
</tr>

<tr>
<td width="99%" height="8" rowspan="1" colspan="1">
<p><font size="2">
<br id="clear" />
<b><outout:value-of select='$ADD_INFO_HEADER'/></b>
<br id="clear" />
<outout:value-of select='$add_info_text'/>
</font>
</p>
<p>
<font size="2"><outout:value-of select='$descText'/></font>
</p>
</td>
</tr>

<tr>
<td width="99%" rowspan="1" colspan="1">&#160;</td>
</tr>
</table>
</td>
<td bgcolor="#006699" rowspan="2" colspan="1">
<img src="../imgs/transDot.gif" alt="" width="4"/>
</td>
<td bgcolor="#006699" rowspan="2" colspan="1">
<img src="../imgs/transDot.gif" alt="" width="4"/>
</td>
<td width="47%" colspan="3" valign="top" rowspan="1">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td colspan="3" height="25" bgcolor="#006699" rowspan="1">&#160;</td>
</tr>

<outout:if test='$unit!=""'>
  <tr>
    <td rowspan="1" colspan="1">&#160;</td>
    <td width="99%" height="2" rowspan="1" colspan="3">
      <p>
        <font size="2">
          <outout:value-of select='$unit'/>
          <br id="clear" />
        </font>
      </p>
    </td>
  </tr>
</outout:if>

<tr>
<td rowspan="1" colspan="1"/>
<td width="99%" height="8" rowspan="1" colspan="1"/>
<td rowspan="1" colspan="1"/>
</tr>

<tr>
<td rowspan="1" colspan="1">&#160;</td>
<td width="99%" rowspan="1" colspan="1">
<table width="100%" border="0" cellspacing="1" cellpadding="0" bgcolor="#FFFFFF">
<tr bgcolor="#006699">
<th align="center" width="33%" rowspan="1" colspan="1">
<b>
<font size="2" color="#FFFFFF"><outout:value-of select='$HCWA_DESK_SPEC_HIST_TIMESTAMP'/></font>
</b>
</th>
<th width="33%" align="center" rowspan="1" colspan="1">
<font size="2">
<b>
<font color="#FFFFFF"><outout:value-of select='$HCWA_DESK_SPEC_HIST_VALUE'/></font>
</b>
</font>
</th>
<th width="33%" align="center" rowspan="1" colspan="1">
<font size="2">
<b>
<font color="#FFFFFF"><outout:value-of select='$HCWA_DESK_SPEC_HIST_FORMULA'/></font>
</b>
</font>
</th>
</tr>
<outout:call-template name='fillTable'/>
</table>
</td>
<td rowspan="1" colspan="1">&#160;</td>
</tr>

<tr>
<td rowspan="1" colspan="1">&#160;</td>
<td width="99%" height="8" rowspan="1" colspan="1"/>
<td rowspan="1" colspan="1">&#160;</td>
</tr>
</table>
</td>
<td bgcolor="#006699" rowspan="1" colspan="1">
<img src="../imgs/transDot.gif" alt="" width="3"/>
</td>
</tr>

<tr>
<td width="47%" height="4" bgcolor="#006699" rowspan="1" colspan="1">
<img src="../imgs/transDot.gif" alt="" width="430" height="5"/>
</td>
<td width="47%" height="4" bgcolor="#006699" colspan="3" rowspan="1">
<img src="../imgs/transDot.gif" alt="" width="430" height="5"/>
</td>
<td bgcolor="#006699" rowspan="1" colspan="1">
<img src="../imgs/transDot.gif" alt="" />
</td>
</tr>
</table>
</td>
<td><img src="../imgs/transDot.gif" alt="" width="15" /></td>
</tr>
</table>
</body>
</outout:template>

<!--
<comment class='template'>
  <desc>This is the standard rule for adding parameters to the query string.</desc>
  <param>
    <name>addInfo</name>
    <desc>Any additional parameters to be included in the query string. eg, &moreinfo=this&evenmore=that</desc>
  </param>
  <param>
    <name>event</name>
    <desc>The string substituted after the event parameter string. ie, providing "start" will put &event=start in the query string.
          This parameter should not be left blank.
    </desc>
  </param>
  <param>
    <name>data</name>
    <desc>The string substituted after the data parameter string. Follows the same rules as the event parameter, but can be left blank.</desc>
  </param>
</comment>
-->
<outout:template name='queryString'>
  <outout:param name='addInfo'/>
  <outout:param name='event'/>
  <outout:param name='data'/>

  <outout:attribute name='href'>
  <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event, '&amp;', $data_param, '=', $data, $addInfo)"/>
  </outout:attribute>
</outout:template>

<!--
<comment class='template'>
  <desc>Outputs the history table.</desc>
</comment>
-->
<outout:template name='fillTable'>
  <outout:for-each select='root/dresult/tr'>
  <outout:sort select='child::*[position()=$TIMESTAMP_POSITION]' order='descending'/>
    <tr>
      <outout:for-each select='td'>
        <td width="33%" bgcolor="#CCDDEE">
          <font size="2" color="#000000">
            <outout:value-of select='.'/>
          </font>
        </td>
      </outout:for-each>
    </tr>
  </outout:for-each>
</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>

	  <outout:attribute name='href'>
  	  <!-- outout:value-of select="translate( $standard_params, ' ', '+' )"/ -->
  	  <outout:value-of select="$standard_params"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>
