<?xml version="1.0" encoding="UTF-8"?>

<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name = (%W%)
 *
 *  Descriptive Name = Current Alerts List, PDA
 *
 *  Function: This file will render the Current Alerts List screen for the PDA
 *            version of the Health Center Thin Client
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  01/11/06 Initial Version                                          @
 *  02/03/09 Correct alert fields display order                       @d217550jal
 *  02/03/22 Replace A circumflex (and following space) with &#160;   @d222486jal
 *  02/03/24 Support breadcrumb trails                                @d222736jal
 *  02/03/25 Switch the order of Refresh line and Sort by line        @d223062jal
 *  02/04/01 Fix Alert type sorting order                             @d224402jal
 *  02/04/29 Add error handling                                       @d227594jal
 *  02/08/21  Fix for displaying alert                                @d251260jse
 *  =============================================================================
 *
 *  Last Changed = %E%  %U%
 *
 ************************************************************************** -->
<!--
<comment class='stylesheet'>
  <desc>Renders the Current Alerts List screen on the PDA</desc>
  <param>
    <name>cs_value</name>
    <desc>The ID of the current state</desc>
  </param>
  <param>
    <name>sid_value</name>
    <desc>The user's session ID</desc>
  </param>
  <param>
    <name>event_param</name>
    <desc>The string used to identify the "event" which a link represents</desc>
  </param>
  <param>
    <name>data_param</name>
    <desc>The string used to identify additional data relating to the event</desc>
  </param>
  <param>
    <name>cs_param</name>
    <desc>The string used to identify the data given in cs_value</desc>
  </param>
  <param>
    <name>sid_param</name>
    <desc>The string used to identify the data given in sid_value</desc>
  </param>
  <param>
    <name>req_uri_param</name>
    <desc>The path from the servlet root to the Portal servlet.</desc>
  </param>
  <param>
    <name>sortBy</name>
    <desc>The column index by which the alert table should be sorted.</desc>
  </param>
  <param>
    <name>ALERT_TYPE_POSITION</name>
    <desc>The column index of the alert type data</desc>
  </param>
  <param>
    <name>HEALTH_IND_POSITION</name>
    <desc>The column index of the health indicator data</desc>
  </param>
  <param>
    <name>OBJ_NAME_POSITION</name>
    <desc>The column index of the object name data</desc>
  </param>
  <param>
    <name>OBJ_TYPE_POSITION</name>
    <desc>The column index of the object type data</desc>
  </param>
  <param>
    <name>OBJ_TYPE_POSITION</name>
    <desc>The column index of the object type data</desc>
  </param>
  <param>
    <name>TIMESTAMP_POSITION</name>
    <desc>The column index of the timestamp data</desc>
  </param>
  <param>
    <name>PARTITION_POSITION</name>
    <desc>The column index of the partition data</desc>
  </param>
  <param>
    <name>SORT_BY_TIMESTAMP</name>
    <desc>Sort index for timestamp</desc>
  </param>
  <param>
    <name>SORT_BY_ALERT_TYPE</name>
    <desc>Sort index for alert type</desc>
  </param>
  <param>
    <name>OBJ_NAME_PARAM</name>
    <desc>"Object Name" parameter in query string</desc>
  </param>
  <param>
    <name>PART_PARAM</name>
    <desc>"Partition" parameter in query string</desc>
  </param>
  <param>
    <name>sort_event</name>
    <desc>Query string event denoting a sort request</desc>
  </param>
  <param>
    <name>refresh_event</name>
    <desc>Query string event denoting a refresh request</desc>
  </param>
  <param>
    <name>get_rec_event</name>
    <desc>Query string event denoting a request for alert details</desc>
  </param>
  <param>
    <name>All Other Params</name>
    <desc>NLV Strings</desc>
  </param>
</comment>
-->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">

<outout:output method="xml" indent="yes" omit-xml-declaration="yes"/>

<outout:param name="breadcrumbs" />
<outout:param name='cs_value'/>
<outout:param name='sid_value'/>
<outout:param name='event_param'/>
<outout:param name='data_param'/>
<outout:param name='cs_param'/>
<outout:param name='sid_param'/>
<outout:param name='req_uri_param'/>

<outout:param name='sortBy'/>
<outout:param name='SORT_BY'/>
<outout:param name='ALERT_TYPE'/>
<outout:param name='REFRESH'/>
<outout:param name='OBJECT_TYPE'/>
<outout:param name='OBJECT_NAME'/>
<outout:param name='HEALTH_INDICATOR'/>
<outout:param name='TIMESTAMP'/>
<outout:param name='PARTITION'/>

<outout:param name='ALERT_TYPE_POSITION'/>
<outout:param name='HEALTH_IND_POSITION'/>
<outout:param name='OBJ_NAME_POSITION'/>
<outout:param name='OBJ_TYPE_POSITION'/>
<outout:param name='TIMESTAMP_POSITION'/>
<outout:param name='PARTITION_POSITION'/>
<outout:param name='SORT_BY_TIMESTAMP'/>
<outout:param name='SORT_BY_ALERT_TYPE'/>

<outout:param name='OBJ_NAME_PARAM'/>
<outout:param name='PART_PARAM'/>
<outout:param name='sort_event'/>
<outout:param name='refresh_event'/>
<outout:param name='get_rec_event'/>

<!--
<comment class='template'>
  <desc>Renders the layout of the page, substituting in NLV strings where appropriate.
        Calls the fillTable rule to generate the alert data table.
  </desc>
</comment>
-->
<outout:template match="/">
<body>

<outout:call-template name="form_bctrail" >
<outout:with-param name="string">
<outout:value-of select="$breadcrumbs" />
</outout:with-param>
</outout:call-template>

<hr/>
<outout:if test='root/derror'>
<p>
<i><outout:value-of select='root/derror'/></i>
</p>
</outout:if>

<outout:if test='root/dmessage'>
<b><outout:apply-templates select="root/dmessage"/></b>
</outout:if>

<p>
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'><outout:value-of select='$refresh_event'/></outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$sortBy'/></outout:with-param >
</outout:call-template>
<outout:value-of select='$REFRESH'/>
</a>
</p>

<hr/>

<outout:value-of select='$SORT_BY'/>&#160;
<a>
<outout:if test="$sortBy=$SORT_BY_ALERT_TYPE">
   <outout:call-template name='queryString'>
      <outout:with-param name='event'><outout:value-of select='$sort_event'/></outout:with-param>
      <outout:with-param name='data'><outout:value-of select='$SORT_BY_TIMESTAMP'/></outout:with-param >
   </outout:call-template>
</outout:if>
<outout:value-of select='$TIMESTAMP'/>
</a> |
<a>
<outout:if test="$sortBy=$SORT_BY_TIMESTAMP">
   <outout:call-template name='queryString'>
      <outout:with-param name='event'><outout:value-of select='$sort_event'/></outout:with-param>
      <outout:with-param name='data'><outout:value-of select='$SORT_BY_ALERT_TYPE'/></outout:with-param >
   </outout:call-template>
</outout:if>
<outout:value-of select='$ALERT_TYPE'/>
</a>

<hr />

<outout:call-template name='fillTable'/>
</body>
</outout:template>

<!--
<comment class='template'>
  <desc>Fills in the alert data table.</desc>
</comment>
-->
<outout:template name='fillTable'>
  <outout:variable name='sortIndex'>
    <outout:choose>
      <outout:when test="$sortBy=$SORT_BY_TIMESTAMP"><outout:value-of select='$TIMESTAMP_POSITION'/></outout:when>
      <outout:when test="$sortBy=$SORT_BY_ALERT_TYPE"><outout:value-of select='$ALERT_TYPE_POSITION'/></outout:when>
    </outout:choose>
  </outout:variable>

  <outout:choose>
   <outout:when test='$sortIndex=$SORT_BY_TIMESTAMP'>
    <outout:for-each select='root/dresult/tr'>
     <outout:sort select="child::*[position()=$sortIndex]"/>
     <outout:call-template name='fillCell'/>
    </outout:for-each>
   </outout:when>
   <outout:otherwise>
     <outout:for-each select='root/dresult/tr'>
      <outout:sort select='child::*[position()=$sortIndex]'/>
      <outout:call-template name='fillCell'/>
     </outout:for-each>
   </outout:otherwise>
  </outout:choose>
</outout:template>

<!--
<comment class='template'>
  <desc>Puts the data for one alert into the table.</desc>
</comment>
-->
<outout:template name='fillCell'>
  <outout:variable name='curr_hi'><outout:value-of select='child::*[position()=$HEALTH_IND_POSITION]'/></outout:variable>
  <outout:variable name='curr_obj_name'><outout:value-of select='child::*[position()=$OBJ_NAME_POSITION]'/></outout:variable>
  <outout:variable name='curr_part'><outout:value-of select='child::*[position()=$PARTITION_POSITION]'/></outout:variable>
  <outout:value-of select='$ALERT_TYPE'/>: <outout:value-of select='child::*[position()=$ALERT_TYPE_POSITION]'/><br />
  <outout:value-of select='$OBJECT_TYPE'/>: <outout:value-of select='child::*[position()=$OBJ_TYPE_POSITION]'/><br />
  <outout:value-of select='$OBJECT_NAME'/>: <outout:value-of select='child::*[position()=$OBJ_NAME_POSITION]'/><br />
  <outout:value-of select='$PARTITION'/>: <outout:value-of select='child::*[position()=$PARTITION_POSITION]'/><br />
  <outout:value-of select='$HEALTH_INDICATOR'/>:
  <a>
    <outout:call-template name='queryString'>
      <outout:with-param name='event'><outout:value-of select='$get_rec_event'/></outout:with-param>
      <outout:with-param name='data'><outout:value-of select='$curr_hi'/></outout:with-param>
      <outout:with-param name='addInfo'><outout:value-of select="concat('&amp;', $OBJ_NAME_PARAM, '=', $curr_obj_name, '&amp;', $PART_PARAM, '=', $curr_part)"/></outout:with-param>
    </outout:call-template>
    <outout:value-of select='child::*[position()=$HEALTH_IND_POSITION]'/>
  </a>
  <br />
  <outout:value-of select='$TIMESTAMP'/>: <outout:value-of select='child::*[position()=$TIMESTAMP_POSITION]'/><br />
  <outout:if test="not(position()=last())">
    <hr />
  </outout:if>
</outout:template>

<!--
<comment class='template'>
  <desc>This is the standard rule for adding parameters to the query string.</desc>
  <param>
    <name>addInfo</name>
    <desc>Any additional parameters to be included in the query string. eg, &moreinfo=this&evenmore=that</desc>
  </param>
  <param>
    <name>event</name>
    <desc>The string substituted after the event parameter string. ie, providing "start" will put &event=start in the query string.
          This parameter should not be left blank.
    </desc>
  </param>
  <param>
    <name>data</name>
    <desc>The string substituted after the data parameter string. Follows the same rules as the event parameter, but can be left blank.</desc>
  </param>
</comment>
-->
<outout:template name='queryString'>
  <outout:param name="addInfo"/>
  <outout:param name='event'/>
  <outout:param name='data'/>

  <outout:attribute name="href">
  <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event, '&amp;', $data_param, '=', $data, $addInfo)"/>
  </outout:attribute>
</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>

	  <outout:attribute name='href'>
  	  <!-- outout:value-of select="translate( $standard_params, ' ', '+' )"/ -->
  	  <outout:value-of select="$standard_params"/>
	  </outout:attribute>
	</outout:template>

  <outout:template match="root/dmessage">
    <outout:copy-of select="text()|@*|*"/>
  </outout:template>

</outout:stylesheet>
