<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name = (%W%)
 *
 *  Descriptive Name = Choose Existing Connection, PDA
 *
 *  Function: This file will render the Choose Existing Connection screen for
 *            the PDA version of the Health Center Thin Client.
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  YY/MM/DD
 *  =============================================================================
 *  01/11/06 Initial Version                                          @
 *  02/03/21 Add Cancel button and DB2 Web Tools link                 @d221333jal
 *  02/04/08 Call service to obtain existing connections              @d223881jal
 *  02/05/28 Hook up close connection function                        @d226007jal
 *  =============================================================================
 *
 *  Last Changed = %E%  %U%
 *
 ************************************************************************** -->
<!--
<comment class='stylesheet'>
  <desc>Renders the Choose Instance screen on the PDA</desc>
  <param>
    <name>cs_value</name>
    <desc>The ID of the current state</desc>
  </param>
  <param>
    <name>sid_value</name>
    <desc>The user's session ID</desc>
  </param>
  <param>
    <name>event_param</name>
    <desc>The string used to identify the "event" which a link represents</desc>
  </param>
  <param>
    <name>data_param</name>
    <desc>The string used to identify additional data relating to the event</desc>
  </param>
  <param>
    <name>cs_param</name>
    <desc>The string used to identify the data given in cs_value</desc>
  </param>
  <param>
    <name>sid_param</name>
    <desc>The string used to identify the data given in sid_value</desc>
  </param>
  <param>
    <name>req_uri_param</name>
    <desc>The path from the servlet root to the Portal servlet.</desc>
  </param>
  <param>
    <name>instance_select_param</name>
    <desc>Event parameter for an instance selection.</desc>
  </param>
  <param>
    <name>All Other Params</name>
    <desc>NLV Strings</desc>
  </param>
</comment>
-->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
<outout:output method="xml" indent="no" omit-xml-declaration="yes"/>

<outout:param name='cs_value'/>
<outout:param name='sid_value'/>
<outout:param name='event_param'/>
<outout:param name='data_param'/>
<outout:param name='cs_param'/>
<outout:param name='sid_param'/>
<outout:param name='req_uri_param'/>

<outout:param name='CHOOSE_EXIST'/>
<outout:param name='CLOSE'/>
<outout:param name='HCWA_PDA_LOGIN_CANCEL'/>
<outout:param name='HCWA_PDA_HOME_WEBTOOLS'/>

<outout:param name='dest_param'/>
<outout:param name='choose_event'/>
<outout:param name='cancel_param'/>
<outout:param name='cancel_event_param'/>

<outout:param name='trail'/>

<outout:template match="/">
<body>
<outout:value-of select='$CHOOSE_EXIST'/>
<hr/>


<outout:for-each select='root/dresult/tr'>
  <outout:choose>
	  <outout:when test="position() &gt; 1">
      <a>
        <outout:call-template name='queryString'>
          <outout:with-param name='event'><outout:value-of select='$choose_event'/></outout:with-param>
          <outout:with-param name='data'><outout:value-of select='@name'/></outout:with-param >
        </outout:call-template>
        <outout:value-of select='@value'/>
      </a>&#160;&#160;&#160;
      <a>
        <outout:call-template name="queryString">
          <outout:with-param name="event">
            <outout:value-of select="'close_connection'" />
          </outout:with-param>
          <outout:with-param name="data">
            <outout:value-of select="@name" />
          </outout:with-param>
        </outout:call-template>
        <outout:value-of select="$CLOSE" />
      </a>
 	  </outout:when>
 	  <outout:otherwise>
      <a>
        <outout:call-template name='queryString'>
          <outout:with-param name='event'><outout:value-of select='$choose_event'/></outout:with-param>
          <outout:with-param name='data'><outout:value-of select='@name'/></outout:with-param >
        </outout:call-template>
        <outout:value-of select='@value'/>
      </a>&#160;&#160;&#160;
 	  </outout:otherwise>
  </outout:choose>
  <br clear="none"/>
</outout:for-each>

<form method="post" enctype="application/x-www-form-urlencoded">
<outout:attribute name='action'><outout:value-of select='$req_uri_param'/></outout:attribute>

<p>
<input type="submit">
   <outout:attribute name='value'>
      <outout:value-of select='$HCWA_PDA_LOGIN_CANCEL'/>
   </outout:attribute>
   <outout:attribute name='name'>
      <outout:value-of select='$cancel_param'/>
   </outout:attribute>
</input>
</p>
<outout:call-template name='makeStandardHiddenFields'>
  <outout:with-param name='event'><outout:value-of select='$cancel_event_param'/></outout:with-param>
</outout:call-template>

<hr/>

<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'>dest</outout:with-param>
  <outout:with-param name='data'>selectApp</outout:with-param>
</outout:call-template>
<outout:value-of select='$HCWA_PDA_HOME_WEBTOOLS'/>
</a>

</form>
</body>
</outout:template>

<outout:template name='makeStandardHiddenFields'>
<!-- we have to put the std parameters in as hidden fields, since there's no link to append them to -->
  <outout:param name='event'/>
  <input type='hidden'>
    <outout:attribute name='name'>
      <outout:value-of select='$cs_param'/>
    </outout:attribute>
    <outout:attribute name='value'>
      <outout:value-of select='$cs_value'/>
    </outout:attribute>
  </input>
  <input type='hidden'>
    <outout:attribute name='name'>
      <outout:value-of select='$sid_param'/>
    </outout:attribute>
    <outout:attribute name='value'>
      <outout:value-of select='$sid_value'/>
    </outout:attribute>
  </input>
  <input type='hidden'>
    <outout:attribute name='name'>
      <outout:value-of select='$event_param'/>
    </outout:attribute>
    <outout:attribute name='value'>
      <outout:value-of select='$event'/>
    </outout:attribute>
  </input>
</outout:template>

<!--
<comment class='template'>
  <desc>This is the standard rule for adding parameters to the query string.</desc>
  <param>
    <name>addInfo</name>
    <desc>Any additional parameters to be included in the query string. eg, &moreinfo=this&evenmore=that</desc>
  </param>
  <param>
    <name>event</name>
    <desc>The string substituted after the event parameter string. ie, providing "start" will put &event=start in the query string.
          This parameter should not be left blank.
    </desc>
  </param>
  <param>
    <name>data</name>
    <desc>The string substituted after the data parameter string. Follows the same rules as the event parameter, but can be left blank.</desc>
  </param>
</comment>
-->
<outout:template name='queryString'>
   <outout:param name="addInfo"/>
   <outout:param name='event'/>
   <outout:param name='data'/>
   <outout:attribute name="href">
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event, '&amp;', $data_param, '=', $data, $addInfo)"/>
   </outout:attribute>
</outout:template>

</outout:stylesheet>
