<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name = (%W%)
 *
 *  Descriptive Name = PDA Alert Description screen
 *
 *  Function: This file will render the Alert Description screen for the
 *            PDA version of the Health Center Thin Client.
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  01/11/06 Initial Version                                          @
 *  02/03/09 Remove redundant links in Alert Description screen       @d217550jal
 *  02/03/24 Support breadcrumb trails                                @d222736jal
 *  02/03/26 Need to display more alert information                   @d223295jal
 *  02/03/27 Remove the colon after Additional Information label      @d220943jal
 *  02/11/28 Add fields "Alert Type" and "Partition"                  @d262134jal
 *  =============================================================================
 *
 *  Last Changed = %E%  %U%
 *
 ************************************************************************** -->
<!--
<comment class='stylesheet'>
  <desc>Renders the Alert Description screen on the PDA</desc>
  <param>
    <name>cs_value</name>
    <desc>The ID of the current state</desc>
  </param>
  <param>
    <name>sid_value</name>
    <desc>The user's session ID</desc>
  </param>
  <param>
    <name>event_param</name>
    <desc>The string used to identify the "event" which a link represents</desc>
  </param>
  <param>
    <name>data_param</name>
    <desc>The string used to identify additional data relating to the event</desc>
  </param>
  <param>
    <name>cs_param</name>
    <desc>The string used to identify the data given in cs_value</desc>
  </param>
  <param>
    <name>sid_param</name>
    <desc>The string used to identify the data given in sid_value</desc>
  </param>
  <param>
    <name>req_uri_param</name>
    <desc>The path from the servlet root to the Portal servlet.</desc>
  </param>
  <param>
    <name>descText</name>
    <desc>The description of the alert.</desc>
  </param>
  <param>
    <name>hist_param</name>
    <desc>Query string data parameter denoting a request for alert history</desc>
  </param>
  <param>
    <name>rec_param</name>
    <desc>Query string data parameter denoting a request for alert recommendations</desc>
  </param>
  <param>
    <name>dest</name>
    <desc>Query string event parameter denoting a request to move into another state</desc>
  </param>
  <param>
    <name>All Other Params</name>
    <desc>NLV Strings</desc>
  </param>
</comment>
-->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
<outout:output method="xml" indent="no" omit-xml-declaration="yes"/>

<outout:param name="breadcrumbs" />
<outout:param name='cs_value'/>
<outout:param name='sid_value'/>
<outout:param name='event_param'/>
<outout:param name='data_param'/>
<outout:param name='cs_param'/>
<outout:param name='sid_param'/>
<outout:param name='req_uri_param'/>

<outout:param name='HCWA_PDA_SPEC_DESC_DESC_HEAD'/>
<outout:param name='HCWA_PDA_SPEC_DESC_REC_HEAD'/>
<outout:param name='HCWA_PDA_SPEC_DESC_HIST_HEAD'/>
<outout:param name='HCWA_PDA_SPEC_DESC_DESC_LABEL'/>
<outout:param name='ADD_INFO_HEADER'/>
<outout:param name='ALERT_TYPE'/>
<outout:param name='OBJECT_TYPE'/>
<outout:param name='OBJECT_NAME'/>
<outout:param name='PARTITION'/>
<outout:param name='TIMESTAMP'/>
<outout:param name='CATEGORY'/>
<outout:param name='VALUE'/>
<outout:param name='ALARM_THRESHOLD'/>
<outout:param name='WARNING_THRESHOLD'/>

<outout:param name='descText'/>
<outout:param name='add_info_text'/>
<outout:param name='alert_type_value'/>
<outout:param name='object_type_value'/>
<outout:param name='object_name_value'/>
<outout:param name='partition_value'/>
<outout:param name='timestamp_value'/>
<outout:param name='category_value'/>
<outout:param name='value_value'/>
<outout:param name='warningThreshold'/>
<outout:param name='alarmThreshold'/>

<outout:param name='rec_param'/>
<outout:param name='hist_param'/>

<outout:param name='dest'/>

<outout:template match="/">
<body>

<outout:call-template name="form_bctrail" >
<outout:with-param name="string">
<outout:value-of select="$breadcrumbs" />
</outout:with-param>
</outout:call-template>

<hr/>
<b><outout:value-of select='$HCWA_PDA_SPEC_DESC_DESC_HEAD'/></b><br clear="none"/>
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'><outout:value-of select='$dest'/></outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$rec_param'/></outout:with-param >
</outout:call-template>
<outout:value-of select='$HCWA_PDA_SPEC_DESC_REC_HEAD'/>
</a>
<br clear="none"/>
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'><outout:value-of select='$dest'/></outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$hist_param'/></outout:with-param >
</outout:call-template>
<outout:value-of select='$HCWA_PDA_SPEC_DESC_HIST_HEAD'/>
</a>
<br clear="none"/>
<hr/>
<outout:value-of select='$HCWA_PDA_SPEC_DESC_DESC_LABEL'/>
<br/>
<br/>
<outout:value-of select='$ALERT_TYPE'/>: <outout:value-of select='$alert_type_value'/><br/>
<outout:value-of select='$OBJECT_TYPE'/>: <outout:value-of select='$object_type_value'/><br/>
<outout:value-of select='$OBJECT_NAME'/>: <outout:value-of select='$object_name_value'/><br/>
<outout:value-of select='$PARTITION'/>: <outout:value-of select='$partition_value'/><br/>
<outout:value-of select='$TIMESTAMP'/>: <outout:value-of select='$timestamp_value'/><br/>
<outout:value-of select='$CATEGORY'/>: <outout:value-of select='$category_value'/><br/>
<outout:value-of select='$VALUE'/>: <outout:value-of select='$value_value'/><br/>
<outout:value-of select='$ALARM_THRESHOLD'/>: <outout:value-of select='$alarmThreshold'/><br/>
<outout:value-of select='$WARNING_THRESHOLD'/>: <outout:value-of select='$warningThreshold'/><br/>

<hr/>

<outout:value-of select='$ADD_INFO_HEADER'/>
<br/>
<br/>
<outout:value-of select='$add_info_text'/><br/>

<hr/>
<outout:value-of select='$descText'/>
<hr/>
</body>
</outout:template>

<!--
<comment class='template'>
  <desc>This is the standard rule for adding parameters to the query string.</desc>
  <param>
    <name>addInfo</name>
    <desc>Any additional parameters to be included in the query string. eg, &moreinfo=this&evenmore=that</desc>
  </param>
  <param>
    <name>event</name>
    <desc>The string substituted after the event parameter string. ie, providing "start" will put &event=start in the query string.
          This parameter should not be left blank.
    </desc>
  </param>
  <param>
    <name>data</name>
    <desc>The string substituted after the data parameter string. Follows the same rules as the event parameter, but can be left blank.</desc>
  </param>
</comment>
-->
<outout:template name='queryString'>
   <outout:param name="addInfo"/>
   <outout:param name='event'/>
   <outout:param name='data'/>
   <outout:attribute name="href">
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event, '&amp;', $data_param, '=', $data, $addInfo)"/>
   </outout:attribute>
</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>

	  <outout:attribute name='href'>
  	  <!-- outout:value-of select="translate( $standard_params, ' ', '+' )"/ -->
  	  <outout:value-of select="$standard_params"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>
