<?xml version="1.0" encoding="UTF-8"?>
<!-- **************************************************************************
 *  IBM CONFIDENTIAL
 *  OCO SOURCE MATERIALS
 *
 *  COPYRIGHT:  P#2 P#1
 *              (C) COPYRIGHT IBM CORPORATION Y1, Y2
 *
 *  The source code for this program is not published or otherwise divested of
 *  its trade secrets, irrespective of what has been deposited with the U.S.
 *  Copyright Office.
 *
 *  Source File Name = (%W%)
 *
 *  Descriptive Name = Recommendations screen, PDA
 *
 *  Function: This file will render the Current Alerts List screen for the
 *            non-PDA version of the Health Center Thin Client.
 *
 *
 *  Dependencies: See import list.
 *
 *  Restrictions:
 *
 *  Change Activity:
 *    DATE    DESCRIPTION                                             S&D Code
 *  01/11/06 Initial Version                                          @
 *  =============================================================================
 *  02/02/26 Changes to health indicator and recommendation object    @d214335jse
 *  02/03/09 Add missing parameters; Fix recommendation tab text      @d217550jal
 *  02/03/10 Fix incorrect link to History screen                     @d218890jal
 *  02/03/24 Support breadcrumb trails                                @d222736jal
 *  02/04/07 Display:Value at alert time,recommended Value,result state@d225858jal
 *  02/05/08 Link up Web Command Center from Web Health Center        @d223843jal
 *  02/07/12 Fix current cfg param value and recommendation desc text @d243894jal
 *  02/08/28 Remove field "Value at alert time"                       @d252938jal
 *  02/11/28 LI1946: Improve unit handling                            @d262134jal
 *  =============================================================================
 *
 *  Last Changed = %E%  %U%
 *
 ************************************************************************** -->

<!--
<comment class='stylesheet'>
  <desc>Renders the Alert Recommendations screen on the PDA</desc>
  <param>
    <name>cs_value</name>
    <desc>The ID of the current state</desc>
  </param>
  <param>
    <name>sid_value</name>
    <desc>The user's session ID</desc>
  </param>
  <param>
    <name>event_param</name>
    <desc>The string used to identify the "event" which a link represents</desc>
  </param>
  <param>
    <name>data_param</name>
    <desc>The string used to identify additional data relating to the event</desc>
  </param>
  <param>
    <name>cs_param</name>
    <desc>The string used to identify the data given in cs_value</desc>
  </param>
  <param>
    <name>sid_param</name>
    <desc>The string used to identify the data given in sid_value</desc>
  </param>
  <param>
    <name>req_uri_param</name>
    <desc>The path from the servlet root to the Portal servlet.</desc>
  </param>
  <param>
    <name>desc_param</name>
    <desc>Query string data parameter denoting a request for alert description</desc>
  </param>
  <param>
    <name>hist_param</name>
    <desc>Query string data parameter denoting a request for alert history</desc>
  </param>
  <param>
    <name>dest</name>
    <desc>Query string event parameter denoting a request to move into another state</desc>
  </param>
  <param>
    <name>getRec</name>
    <desc>Query string event parameter denoting a request to retrieve a different recommendation</desc>
  </param>
  <param>
    <name>recType</name>
    <desc>The type of the current recommendation (ie, is it dependent on a non-web tool).</desc>
  </param>
  <param>
    <name>DBM_CONFIG_TYPE</name>
    <desc>Constant representing a recommendation that can be executed in the Web Command Center.</desc>
  </param>
  <param>
    <name>currRec</name>
    <desc>The index of the currently displayed recommendation.</desc>
  </param>
  <param>
    <name>numRecs</name>
    <desc>The number of recommendations for this health indicator.</desc>
  </param>
  <param>
    <name>recText</name>
    <desc>The text of the current recommendation.</desc>
  </param>
    <param>
    <name>runScript</name>
    <desc>The event expected on the CC side to indicate that we need to run a script.</desc>
  </param>
  <param>
    <name>config_command</name>
    <desc>The command to remedy the alert condition.</desc>
  </param>
  <param>
    <name>via_param</name>
    <desc>Flag to indicate to the framework that the request needs to be processed by a different router.</desc>
  </param>
  <param>
    <name>return_param</name>
    <desc>For inter-toolkit calls, this denotes the originating toolkit.</desc>
  </param>
  <param>
    <name>cc_prefix</name>
    <desc>The prefix of the Command Center toolkit.</desc>
  </param>
  <param>
    <name>hc_prefix</name>
    <desc>The prefix of the Health Center toolkit.</desc>
  </param>
  <param>
    <name>All Other Params</name>
    <desc>NLV Strings</desc>
  </param>
</comment>
-->
<outout:stylesheet xmlns:outout="http://www.w3.org/1999/XSL/Transform" version="1.0">
<outout:output method="xml" indent="no" omit-xml-declaration="yes"/>

<outout:param name="breadcrumbs" />
<outout:param name='cs_value'/>
<outout:param name='sid_value'/>
<outout:param name='event_param'/>
<outout:param name='data_param'/>
<outout:param name='cs_param'/>
<outout:param name='sid_param'/>
<outout:param name='req_uri_param'/>

<outout:param name='HCWA_PDA_SPEC_REC_DESC_HEAD'/>
<outout:param name='HCWA_PDA_SPEC_REC_REC_HEAD'/>
<outout:param name='HCWA_PDA_SPEC_REC_HIST_HEAD'/>
<outout:param name='HCWA_PDA_SPEC_REC_REC_LABEL'/>
<outout:param name='HCWA_PDA_SPEC_REC_NEXT'/>
<outout:param name='HCWA_PDA_SPEC_REC_PREVIOUS'/>
<outout:param name='config_message'/>
<outout:param name='tool_message'/>

<outout:param name='currRec'/>
<outout:param name='numRecs'/>
<outout:param name='recText'/>
<outout:param name='recTextMore'/>

<outout:param name='runScript'/>
<outout:param name='config_command'/>
<outout:param name='via_param'/>
<outout:param name='return_param'/>
<outout:param name='cc_prefix'/>
<outout:param name='hc_prefix'/>

<outout:param name='hist_param'/>
<outout:param name='desc_param'/>

<outout:param name='recType'/>
<outout:param name='DBM_CONFIG_TYPE'/>
<outout:param name='DB_CONFIG_TYPE'/>
<outout:param name='NOT_APPLICABLE'/>

<outout:param name='dest'/>
<outout:param name='getRec'/>

<outout:param name='CURRENT_VALUE_HEADER'/>
<outout:param name='RECOMMENDED_VALUE_HEADER'/>
<outout:param name='RESULT_STATE_HEADER'/>
<outout:param name='value_value'/>
<outout:param name='currentValue'/>
<outout:param name='recommendedValue'/>
<outout:param name='resultState'/>


<outout:template match="/">
<body>

<outout:call-template name="form_bctrail" >
<outout:with-param name="string">
<outout:value-of select="$breadcrumbs" />
</outout:with-param>
</outout:call-template>

<hr/>
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'><outout:value-of select='$dest'/></outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$desc_param'/></outout:with-param >
</outout:call-template>
<outout:value-of select='$HCWA_PDA_SPEC_REC_DESC_HEAD'/>
</a>
<br clear="none"/>
<b>
<outout:value-of select='$HCWA_PDA_SPEC_REC_REC_HEAD'/>
</b>
<br clear="none"/>
<a>
<outout:call-template name='queryString'>
  <outout:with-param name='event'><outout:value-of select='$dest'/></outout:with-param>
  <outout:with-param name='data'><outout:value-of select='$hist_param'/></outout:with-param >
</outout:call-template>
<outout:value-of select='$HCWA_PDA_SPEC_REC_HIST_HEAD'/>
</a>
<br clear="none"/>
<hr/>

<outout:choose>
<outout:when test='$numRecs!="0"'>
  <b>
  <outout:value-of select='$HCWA_PDA_SPEC_REC_REC_LABEL'/>
  <outout:text> </outout:text>
  <outout:value-of select='$currRec'/>
  </b>
  <br clear="none"/>
  (<outout:call-template name='navLinks'>
     <outout:with-param name='currPos'>1</outout:with-param>
  </outout:call-template>)
  <br clear="none"/>

  <p><outout:value-of select='$recText'/></p>
  <p><outout:value-of select='$recTextMore'/></p>

  <outout:if test='$recType=$DBM_CONFIG_TYPE or $recType=$DB_CONFIG_TYPE'>
    <outout:value-of select='$CURRENT_VALUE_HEADER'/>: <outout:value-of select='$currentValue'/><br/>
    <outout:value-of select='$RECOMMENDED_VALUE_HEADER'/>: <outout:value-of select='$recommendedValue'/><br/>

    <outout:if test='$resultState!=$NOT_APPLICABLE'>
      <outout:value-of select='$RESULT_STATE_HEADER'/>: <outout:value-of select='$resultState'/><br/>
    </outout:if>
  </outout:if>

  <p>
  <outout:choose>
    <outout:when test='$recType=$DBM_CONFIG_TYPE or $recType=$DB_CONFIG_TYPE'>
      <a>
        <outout:call-template name='queryString'>
          <outout:with-param name='event'><outout:value-of select='$runScript'/></outout:with-param>
          <outout:with-param name='data'><outout:value-of select='$config_command'/></outout:with-param>
          <outout:with-param name='addInfo'><outout:value-of select="concat('&amp;', $via_param, '=', $cc_prefix)"/></outout:with-param>
        </outout:call-template>
        <outout:value-of select='$config_message'/>
      </a>
    </outout:when>
    <outout:otherwise>
      <outout:value-of select='$tool_message'/>
    </outout:otherwise>
  </outout:choose>
  </p>

  <outout:if test="not(number($currRec)=1)">
     <a>
  <outout:call-template name='queryString'>
    <outout:with-param name='event'><outout:value-of select='$getRec'/></outout:with-param>
    <outout:with-param name='data'><outout:value-of select='$currRec - 1'/></outout:with-param >
  </outout:call-template>
        &lt;&lt; <outout:value-of select='$HCWA_PDA_SPEC_REC_PREVIOUS'/>
     </a><br />
  </outout:if>
  <outout:if test="not($currRec=$numRecs)">
     <a>
  <outout:call-template name='queryString'>
    <outout:with-param name='event'><outout:value-of select='$getRec'/></outout:with-param>
    <outout:with-param name='data'><outout:value-of select='$currRec + 1'/></outout:with-param >
  </outout:call-template>
      <outout:value-of select='$HCWA_PDA_SPEC_REC_NEXT'/> &gt;&gt;
     </a>
  </outout:if>

</outout:when>
<outout:otherwise>
  <outout:value-of select="$NOT_APPLICABLE" />
</outout:otherwise>
</outout:choose>

</body>
</outout:template>

<!--
<comment class='template'>
  <desc>This is the standard rule for adding parameters to the query string.</desc>
  <param>
    <name>addInfo</name>
    <desc>Any additional parameters to be included in the query string. eg, &moreinfo=this&evenmore=that</desc>
  </param>
  <param>
    <name>event</name>
    <desc>The string substituted after the event parameter string. ie, providing "start" will put &event=start in the query string.
          This parameter should not be left blank.
    </desc>
  </param>
  <param>
    <name>data</name>
    <desc>The string substituted after the data parameter string. Follows the same rules as the event parameter, but can be left blank.</desc>
  </param>
</comment>
-->
<outout:template name='queryString'>
   <outout:param name="addInfo"/>
   <outout:param name='event'/>
   <outout:param name='data'/>
   <outout:attribute name="href">
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $event_param, '=', $event, '&amp;', $data_param, '=', $data, $addInfo)"/>
   </outout:attribute>
</outout:template>

<!--
<comment class='template'>
  <desc>Fills in the Recommendation # links. Ie -> ( 1 | 2 | 3 ).</desc>
  <param>
    <name>currPos</name>
    <desc>The current index being rendered.</desc>
  </param>
</comment>
-->
<outout:template name='navLinks'>
   <outout:param name='currPos'/>
   <outout:choose>
    <!-- If the current index is the index of the rec being displayed, it should be in bold. -->
      <outout:when test="$currPos=$currRec">
         <b>
            <outout:value-of select='$currPos'/>
         </b>
      </outout:when>
      <outout:otherwise>
        <!-- otherwise, it should be a link to display the recommendation at the current index -->
         <a>
            <outout:call-template name='queryString'>
              <outout:with-param name='event'><outout:value-of select='$getRec'/></outout:with-param>
              <outout:with-param name='data'><outout:value-of select='$currPos'/></outout:with-param >
            </outout:call-template>
            <outout:value-of select='$currPos'/>
         </a>
      </outout:otherwise>
   </outout:choose>
   <!-- If we aren't at the last rec, make a recursive call with the next rec index -->
   <outout:if test="not($currPos=$numRecs)">|
   <outout:call-template name='navLinks'>
         <outout:with-param name='currPos'>
            <outout:value-of select='number($currPos)+1'/>
         </outout:with-param>
       </outout:call-template>
   </outout:if>
</outout:template>

  <outout:template name="form_bctrail" >
    <outout:param name="string" />
    <outout:variable name="normalizedString">
      <outout:value-of select="concat(normalize-space($string), ' ')" />
    </outout:variable>
    <outout:if test="$normalizedString!=' '">
      <outout:choose>
        <outout:when test="contains( $normalizedString, '&gt;' )" >
          <a>
            <outout:call-template name='bctLinkString'>
              <outout:with-param name='link'>
                <outout:value-of select="substring-before( substring-after( $normalizedString, '&lt;' ), '&gt;' )" />
              </outout:with-param>
        		</outout:call-template>
            <outout:variable name="label">
              <outout:value-of select="substring-before( $normalizedString, '&lt;' )" />
            </outout:variable>
            <outout:value-of select="$label" />
          </a>
           <outout:value-of select=" ' &gt; ' " />
          <outout:call-template name="form_bctrail" >
            <outout:with-param name="string" select="substring-after( $normalizedString, '&gt;' )" />
          </outout:call-template>
        </outout:when>
        <outout:otherwise>
          <outout:value-of select="$normalizedString" />
        </outout:otherwise>
      </outout:choose>
    </outout:if>
  </outout:template>

	<outout:template name='bctLinkString'>
	  <outout:param name='link' />

    <outout:variable name='standard_params'>
      <outout:value-of select="concat( $req_uri_param, '?', $cs_param, '=', $cs_value, '&amp;', $sid_param, '=', $sid_value, '&amp;', $link)"/>
    </outout:variable>

	  <outout:attribute name='href'>
  	  <!-- outout:value-of select="translate( $standard_params, ' ', '+' )"/ -->
  	  <outout:value-of select="$standard_params"/>
	  </outout:attribute>
	</outout:template>

</outout:stylesheet>
